2003-02-27 16:23  jtwilley

	* configure.ac: cleaned up messy XASTIR_TOCALL

2003-02-24 kd6zwr

	* db.c: made my_station_gps_change update sec_heard
		to fix DR of my station

2003-02-24 11:25  jtwilley

	* interface.c: changed timeouts to 100ms from 100us

2003-02-13  kg4ijb@sourceforge.net

	* bootstrap.sh - routine to rebuild autostuff environment

2003-02-13  kg4ijb@sourceforge.net

	* Removed old configure files and added new ac
    * Removed files that are generated locally

2003-02-02 23:16  jtwilley

        * COPYING: made example Y2K-compliant
	* acinclude.m4, config.guess, config.sub, missing, 
	  mkinstalldirs: updated to work with autoconf 2.53

2003-02-01 20:30  jtwilley

	* db.c: added support for direct stations
	* db.h: added timeout variable for direct stations

2002-01-19 21:12  kg4ijb

        * Makefile.in, aclocal.m4, configure, m4/Makefile.in,
        src/callpass/Makefile.in: rebuilt

2002-01-19 21:08  kg4ijb

        * src/main.c: commented out code to center map on left mouse click
        -- okay let's try it

2002-01-19 21:07  kg4ijb

        * src/: Makefile.am, Makefile.in: distcheck quite

2002-01-19 21:05  kg4ijb

        * config/Makefile.am, config/Makefile.in, help/Makefile.am,
        help/Makefile.in: extra_dist

2002-01-18 15:10  we7u

        * src/maps.c: Getting rid of another compiler warning under Solaris
        7.0.  The compiler thought that variables like f_NW_x_bounding
        weren't getting set in some cases.  Changed the logic around so the
        compiler can figure it out.

2002-01-18 15:05  we7u

        * src/db.c: Tweaks to get rid of more compiler warnings under
        Solaris 7.0

2002-01-17 18:36  we7u

        * src/messages.c: Fix for incoming message causing segfault on
        Solaris.

2002-01-17 15:57  we7u

        * configure, configure.in: Added more clear warnings about
        operating systems that Xastir doesn't fully support yet.

2002-01-17 15:18  we7u

        * README.1ST: A few small grammatical tweaks.

2002-01-17 15:05  we7u

        * README.1ST: FreeBSD note changes by Jack Twilley.

2002-01-17 13:59  we7u

        * README.1ST: Added a section for FreeBSD notes.

2002-01-17 13:09  we7u

        * src/interface.c: We _do_ need to close a socket after shutdown if
        we're trying to reestablish a connection.

2002-01-16 18:24  we7u

        * README.1ST: Tweaked Mac OS X notes.

2002-01-16 17:53  we7u

        * src/: snprintf.c, snprintf.h: Checking in older versions of these
        two files.  Will try to use our own custom version of snprintf() on
        _all_ systems at a later date.

2002-01-16 15:23  we7u

        * src/interface.c: Increased some usleep's.  Commented out an
        internet socket close that we don't want to do anymore.  We keep
        our file descriptors for sockets once we open, and re-use them the
        next time that socket is opened.

2002-01-16 02:37  we7u

        * src/: snprintf.c, snprintf.h: Forcing the use of our local
        xastir_snprintf() calls instead of any snprintf() library available
        on the OS.

2002-01-15 19:29  we7u

        * src/maps.c: Another couple of casts in debug statements to get
        rid of compiler warnings on Solaris.

2002-01-15 19:13  we7u

        * src/interface.c: Added myintpid to get around a compiler warning
        in Solaris.

2002-01-15 18:56  we7u

        * src/wx.c: Changed strlen() to sizeof() in xastir_snprintf()
        calls.

2002-01-15 18:31  kg4ijb

        * src/: interface.c, maps.c, wx.c: Out of sync.... I think we're
        back

2002-01-15 17:57  we7u

        * src/maps.c: Corrected a few more xastir_snprintf's.

2002-01-15 17:36  kg4ijb

        * src/: datum.c, interface.c, list_gui.c, maps.c, messages.c,
        messages_gui.c, sound.c, track_gui.c, view_message_gui.c, wx.c,
        wx_gui.c: snprintf fun

2002-01-15 16:11  we7u

        * src/interface.c: Cast mypid to an int to get rid of compiler
        warning on Solaris 2.5

2002-01-15 15:56  we7u

        * configure, configure.in: Removed the warning about Mac OS X not
        being fully implemented yet.

2002-01-15 15:19  we7u

        * src/interface.c: Simplified the internet connection timeouts,
        count down from NETWORK_WAITTIME down to 0 on the status line now. 
        Should help with Mac OS X network problems.

2002-01-15 15:18  we7u

        * src/hostname.c: Corrected typo.

2002-01-15 14:42  we7u

        * README.1ST: Tweaked the Mac OS X notes.

2002-01-15 14:31  we7u

        * src/: db.c, list_gui.c, main.c, util.c, util.h: More fixes for
        xastir_snprintf() conversion.

2002-01-15 13:52  we7u

        * src/interface.c: Fixed typo.

2002-01-15 04:21  we7u

        * src/gps.c: More fixes to xastir_snprintf() changes.

2002-01-15 04:12  we7u

        * src/: db.c, db.h: Fixing more bugs caused by xastir_snprintf()
        changes.

2002-01-15 03:52  we7u

        * src/db.c: Corrected a typo.

2002-01-15 03:21  we7u

        * src/maps.c: Changed function call to pass buffer length in for
        later use by xastir_sprintf().

2002-01-15 03:18  we7u

        * src/datum.h: Had to add length of string to function for later
        use by xastir_snprintf().

2002-01-15 03:16  we7u

        * src/datum.c: Correcting xastir_snprintf() call.  Had to pass
        length of string into the function which calls it.

2002-01-15 02:19  we7u

        * src/: db.c, list_gui.c, location_gui.c, main.c, util.c, util.h,
        xa_config.c: More fixes for xastir_snprintf() changes.

2002-01-14 19:29  we7u

        * src/interface.c: Removed ifdef's around arpa/inet.h include. 
        It's ok to include this file on Solaris systems.

2002-01-14 18:24  we7u

        * README.1ST: Added another Mac OS X note regarding the non-working
        network interfaces.

2002-01-14 18:22  we7u

        * README.1ST: Tweaks to Mac OS X and Solaris notes.

2002-01-14 18:15  we7u

        * src/: db.c, interface_gui.c, main.c, util.c: Changed strlen() to
        sizeof() in xastir_snprintf() function calls.

2002-01-14 17:28  we7u

        * src/interface.c: Added netdb.h include for Darwin (Mac OS X).

2002-01-14 17:03  kg4ijb

        * src/snprintf.c: typo in vsnprintf function call

2002-01-14 16:30  we7u

        * src/snprintf.h: Added another include that's needed by Solaris
        2.5

2002-01-14 16:30  we7u

        * src/list_gui.c: Fixed a typo.

2002-01-14 15:32  we7u

        * src/interface.c: Changed a debug printf to print the port number
        for internet connections.

2002-01-14 15:15  we7u

        * src/interface.c: Added more debug statements.

2002-01-14 04:19  we7u

        * src/maps.c: Added more casts to get rid of compiler warnings.

2002-01-14 04:14  we7u

        * src/util.c: Added some casts to get rid of compiler warnings.

2002-01-14 03:32  we7u

        * src/interface.c: Added more debug statements.

2002-01-14 02:47  we7u

        * acinclude.m4, aclocal.m4, configure, configure.in: Tweaking
        pthread compile options for Mac OS X.

2002-01-14 00:24  we7u

        * acinclude.m4, aclocal.m4, configure: Tweak to apple-darwin
        configuration to eliminate "-lXpm" from the Makefiles.  The Xpm
        stuff is provided in another library on Mac OS X.

2002-01-13 09:17  kg4ijb

        * src/interface.c: moved netinet/in.h ahead of arpa/inet.h as it's
        been reported that some *BSD's not including this as they should.

2002-01-13 00:01  we7u

        * src/db.c: Fixed the string termination on symbol speed.

2002-01-12 20:38  we7u

        * acinclude.m4, aclocal.m4, configure: Small tweak for Mac OS X
        only.  Changed LDFLAGS=-pthread to -lpthread.

2002-01-12 15:06  kg4ijb

        * Makefile.am, Makefile.in, aclocal.m4, config.h.in, configure,
        configure.in, config/Makefile.in, help/Makefile.in, m4/Makefile.in,
        src/Makefile.am, src/Makefile.in, src/alert.c, src/bulletin_gui.c,
        src/color.c, src/datum.c, src/db.c, src/draw_symbols.c,
        src/fcc_data.c, src/gps.c, src/hostname.c, src/igate.c,
        src/interface.c, src/interface_gui.c, src/lang.c, src/list_gui.c,
        src/locate_gui.c, src/location.c, src/location_gui.c, src/main.c,
        src/util.c, src/callpass/Makefile.in, symbols/Makefile.in:
        implemented our own snprintf

2002-01-12 14:56  kg4ijb

        * src/: snprintf.c, snprintf.h: portable snprintf vsnprintf

2002-01-12 14:32  we7u

        * src/interface.c: Removing redundant #include of <sys/socket.h>

2002-01-11 19:59  we7u

        * README.1ST: More Solaris 7.0 notes by Chris Bell.

2002-01-11 16:33  we7u

        * acinclude.m4, aclocal.m4, configure, configure.in: Removed a
        comment.  Got rid of the "Solaris not supported" message during
        configure.

2002-01-11 16:24  we7u

        * acinclude.m4, aclocal.m4, configure: Added a note about gmake and
        gmake install.

2002-01-11 16:07  we7u

        * README.1ST: Changes to Solaris 7.0 notes.

2002-01-11 16:06  we7u

        * configure, acinclude.m4, aclocal.m4: More fixes for XPM on
        Solaris 7.0

2002-01-11 13:11  we7u

        * README.1ST: Tweaking Solaris notes.

2002-01-11 12:40  we7u

        * src/maps.c: Fixing return statement.  Syntax error if not XPM or
        ImageMagick.

2002-01-11 02:34  we7u

        * src/maps.c: Fixes for the case of no XPM libraries but
        ImageMagick present.  GEO maps will still load ok now.

2002-01-11 00:51  we7u

        * acinclude.m4, aclocal.m4, configure, configure.in: Several fixes
        for Solaris/Mac-OS-X/Linux/*BSD autoconf stuff.

2002-01-10 15:12  we7u

        * acinclude.m4, aclocal.m4, configure: Putting the Magick-config
        stuff back into CFLAGS temporarily.  This fixes the ImageMagick
        segfault problem, but doesn't get us any closer to shorter compile
        lines.  We'll save that for the future.  Thanks for letting me do
        this again Chuck!

2002-01-10 12:58  we7u

        * README.1ST: Rearranged the CVS notes.

2002-01-09 19:54  we7u

        * src/db.c: Preventing segfaults due to NULL values in a debug
        printf statement.

2002-01-09 18:47  we7u

        * README.1ST: Tweaked the Mac OS X notes.

2002-01-09 18:04  we7u

        * README.1ST: Added libgeotiff notes.

2002-01-09 17:39  we7u

        * README.1ST, aclocal.m4: Changed some comments.

2002-01-09 16:56  we7u

        * README.1ST: Corrected spelling on a make target in the
        instructions.

2002-01-09 16:41  we7u

        * src/interface_gui.c: Now produces an error popup if the user
        tries to add an AX.25 interface when AX.25 hasn't been compiled
        into Xastir.

2002-01-09 14:59  we7u

        * src/interface.c: Small tweak for Mac OS X.

2002-01-09 14:16  we7u

        * acinclude.m4, aclocal.m4: Changes to notes regarding needed
        changes for Solaris.

2002-01-09 14:07  we7u

        * README.1ST: More Solaris tweaks.

2002-01-09 13:50  we7u

        * README.1ST: More Solaris tweaks.

2002-01-09 13:46  we7u

        * README.1ST: More Solaris tweaks.

2002-01-09 13:36  we7u

        * acinclude.m4: Changed a note.  Chuck take note of the two notes
        with your name in them!

2002-01-09 13:24  we7u

        * README.1ST: More tweaks to Solaris notes.

2002-01-09 13:06  we7u

        * README.1ST: Tweaks to Solaris notes.

2002-01-08 18:45  we7u

        * README.1ST: Finally added some anonymous CVS instructions.

2002-01-08 17:19  n7tap

        * src/interface.c: Silenced warnings

2002-01-08 15:36  we7u

        * src/interface.c: Another Solaris tweak.

2002-01-08 15:00  we7u

        * README.1ST: Added another note regarding Mac OS X.

2002-01-08 14:50  we7u

        * acinclude.m4, aclocal.m4: Added a couple of comments regarding
        options that must be changed for Solaris support.

2002-01-08 14:09  we7u

        * aclocal.m4, config.h.in, configure, configure.in: Changes to
        support Mac OS X.

2002-01-08 13:53  we7u

        * acconfig.h: Added an #undef for USING_MAC_OS_X

2002-01-08 13:51  we7u

        * src/interface.c: Another MAC OS X #ifdef.

2002-01-08 13:45  we7u

        * src/interface.c: Added USING_MAC_OS_X #ifdef's in two places.

2002-01-07 21:48  kg4ijb

        * acconfig.h, acinclude.m4, aclocal.m4, config.h.in, configure,
        configure.in, m4/Makefile.in, src/interface.c,
        src/callpass/Makefile.in: Check for ImageMagick inc.  Define for
        MacOSX Darwin.  Check for getpgrp.  Check for socklen_t.

2002-01-07 20:35  we7u

        * README.1ST: More Solaris and Mac OS X notes.

2002-01-07 20:28  we7u

        * README.1ST: Added Mac OS X note.

2002-01-07 16:54  we7u

        * acinclude.m4, aclocal.m4, configure: Tweaks to fix the
        ImageMagick include stuff.  Compile lines got longer again.  :-(

2002-01-07 15:49  we7u

        * README.1ST: Small changes to Solaris notes.

2002-01-07 14:43  we7u

        * src/util.c: Fixed another misspelling of a function name.

2002-01-07 14:41  we7u

        * src/util.c: Small fix to new sprintf line.  Misspelling.

2002-01-06 23:23  we7u

        * config/language-Dutch.sys: POPEM00021 string translated by Henk.

2002-01-06 14:36  dk7in

        * src/db.c: 
        Correction with WX data

2002-01-05 21:13  kg4ijb

        * src/util.c: borked the langstr on previous commit

2002-01-05 19:32  kg4ijb

        * aclocal.m4, config.h.in, configure, configure.in, m4/Makefile.in,
        src/datum.c, src/interface.c, src/main.c, src/util.c,
        src/callpass/Makefile.in: More Solaris config stuff; WITH_SNPRINTF
        check libposix4, threads.  Needs to be verified.

2002-01-04 20:04  we7u

        * README.1ST: Solaris updates.

2002-01-04 19:34  we7u

        * src/: hostname.c, util.c, main.c: Solaris mods.

2002-01-04 17:11  we7u

        * README.1ST: Solaris notes.

2002-01-04 15:52  we7u

        * README.1ST: Added some Solaris notes.

2002-01-04 15:21  we7u

        * aclocal.m4, configure, configure.in: More Solaris tweaks.

2002-01-04 15:16  dk7in

        * src/db.c: 
        Clear normal speed/course with compressed position and WX report

2002-01-04 15:14  dk7in

        * config/language-German.sys: 
        Make some entries shorter...

2002-01-04 14:43  we7u

        * src/: interface.c, maps.c: More tweaks for Solaris.

2002-01-04 12:57  we7u

        * src/: wx_gui.c, xa_config.c, xa_config.h, xastir.h, maps.c,
        maps.h, messages.c, messages.h, messages_gui.c, popup.h,
        popup_gui.c, rac_data.c, rac_data.h, sound.c, symbols.h,
        track_gui.c, track_gui.h, util.c, util.h, view_message_gui.c, wx.c,
        wx.h, main.c, main.h, lang.c, lang.h, list_gui.c, list_gui.h,
        locate_gui.c, location.c, location_gui.c, alert.c, alert.h,
        bulletin_gui.c, bulletin_gui.h, color.c, color.h, db.c, db.h,
        draw_symbols.c, draw_symbols.h, fcc_data.c, fcc_data.h, gps.c,
        gps.h, hostname.c, hostname.h, igate.c, igate.h, interface.c,
        interface.h, interface_gui.c: Updated Copyright.

2002-01-04 12:55  we7u

        * README: Updated Copyright statement.

2002-01-04 12:54  we7u

        * scripts/inf2geo.pl: Changed copyright statement.

2002-01-04 11:53  dk7in

        * config/language-German.sys: 
        Translation of new keyword

2002-01-04 11:53  dk7in

        * src/db.c: 
        Correction of GGA decode, submitted by VK5ZTY, John Williams

2002-01-04 01:46  n7tap

        * config/language-French.sys: Translated

2002-01-04 00:09  we7u

        * AUTHORS: Added Jim Chandler, N0VH, to the AUTHORS file for his
        work on integrating ImageMagick with Xastir.

2002-01-03 23:51  we7u

        * acinclude.m4, aclocal.m4, config.h.in, configure,
        src/interface.c, src/interface_gui.c: Changes to let SuSE 6.4 (and
        probably others) have working AX.25 kernel interfaces again.

2002-01-03 20:53  we7u

        * src/interface.c: Re-tweaking Solaris change for Linux.  Should
        work for both now.

2002-01-03 20:41  we7u

        * src/: interface.c, maps.c: Changes to allow compiling on Solaris
        2.6 or later.  Solaris 2.5 doesn't have support for snprintf() so
        it can't be supported currently.

2002-01-03 20:36  we7u

        * src/maps.c: Changes (currently commented out so they have no
        effect) that close the open filehandles left by the geotiff calls. 
        The next geotiff library should have fixes in it that obsolete
        these changes.

2002-01-03 15:20  we7u

        * src/interface.c: More fixes to correspond to Chuck's fixes.

2002-01-03 14:53  kg4ijb

        * aclocal.m4, configure, configure.in, m4/Makefile.in,
        src/interface.c, src/callpass/Makefile.in: added -Wall compiler
        switch

2002-01-03 14:25  we7u

        * src/interface.c: Moved variable declarations into the proper part
        of the #ifdef for the case where kernel AX.25 is not being used.

2002-01-03 14:17  kg4ijb

        * Makefile.in, acconfig.h, acinclude.m4, aclocal.m4, config.h.in,
        configure, configure.in, config/Makefile.in, help/Makefile.in,
        m4/Makefile.in, src/Makefile.am, src/Makefile.in,
        symbols/Makefile.in: more ax25 changes.  Modified libXp and libXpm
        (this one is a puzzle, and Xpm is a hack).  Configure CFLAGS
        cleaned up to reduce redundant calls.  Added "preferred" -pthread
        flag.

2002-01-03 14:13  kg4ijb

        * src/interface.c: Simplified ax25. Deprecated "old" ax25 lib calls

2002-01-03 06:10  we7u

        * help/help-Dutch.dat, help/help-English.dat, help/help-French.dat,
        help/help-German.dat, help/help-Italian.dat, help/help-Spanish.dat,
        src/callpass/callpass.c, symbols/symbols.dat: Updated copyright
        info for year 2002.

2002-01-03 05:20  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/interface.c: Minor change.  Change "in to" to "into" in several
        strings.

2002-01-03 05:16  we7u

        * src/interface.c, config/language-Dutch.sys,
        config/language-English.sys, config/language-French.sys,
        config/language-German.sys, config/language-Italian.sys,
        config/language-Spanish.sys: Added a popup and a printf for the
        case where the user is attempting to start an AX.25 interface but
        the support for it has not been compiled into Xastir.

2002-01-03 04:51  we7u

        * src/interface.c: Dumps a message out to the xterm if the user
        tries to start up an AX.25 interface but AX.25 is not compiled into
        Xastir.

2002-01-02 11:26  kg4ijb

        * src/main.c: Removed reference to axlib.h

2002-01-02 03:48  we7u

        * AUTHORS, README: Changed copyright notice.

2002-01-01 23:35  kg4ijb

        * ChangeLog: [no log message]

2002-01-01 23:33  kg4ijb

        * acconfig.h, aclocal.m4, config.h.in, configure, configure.in,
        m4/Makefile.in, src/maps.c, src/callpass/Makefile.in: Check for
        Solaris and include XpmI instead of Xpm

2002-01-01 23:06  kg4ijb

        * ChangeLog: [no log message]

2002-01-01 23:01  kg4ijb

        * src/Makefile.in, src/alert.c, src/alert.h, src/bulletin_gui.c,
        src/bulletin_gui.h, src/color.c, src/color.h, src/db.c, src/db.h,
        src/draw_symbols.c, src/draw_symbols.h, src/fcc_data.c,
        src/fcc_data.h, src/gps.c, src/gps.h, src/hostname.c,
        src/hostname.h, src/igate.c, src/igate.h, src/interface.c,
        src/interface.h, src/interface_gui.c, src/lang.c, src/lang.h,
        src/list_gui.c, src/list_gui.h, src/locate_gui.c, src/location.c,
        src/location_gui.c, src/main.c, src/main.h, src/maps.c, src/maps.h,
        src/messages.c, src/messages.h, src/messages_gui.c, src/popup.h,
        src/popup_gui.c, src/rac_data.c, src/rac_data.h, src/sound.c,
        src/symbols.h, src/track_gui.c, src/track_gui.h, src/util.c,
        src/util.h, src/view_message_gui.c, src/wx.c, src/wx.h,
        src/wx_gui.c, src/xa_config.c, src/xa_config.h, src/xastir.h,
        src/callpass/Makefile.in, src/callpass/callpass.c,
        symbols/Makefile.in: Modified date in Copyright

2002-01-01 22:57  kg4ijb

        * src/Makefile.am: modified ax25 macro

2002-01-01 22:57  kg4ijb

        * configure: configure rebuild

2002-01-01 22:55  kg4ijb

        * config/Makefile.in, help/Makefile.in, m4/Makefile.in:
        configure/make rebuild

2002-01-01 22:42  kg4ijb

        * Makefile.in, acconfig.h, acinclude.m4, aclocal.m4, config.h.in,
        configure.in: Modified AX25 check.  Added libXp check (is this a
        OSF/Motif thing?)

2001-12-29 18:36  dk7in

        * src/db.c: 
        Weather decoding with compressed position format.

2001-12-28 13:26  we7u

        * src/db.c: Added an fseek() needed on Solaris 7.  Works fine on
        Linux too.  Fixes a Map Chooser bug:  Only one map shows up in the
        Map Chooser on Solaris.  Submitted by Chris Bell
        <cbell@junknet.com>, KD6ZWR.

2001-12-27 17:04  dk7in

        * src/db.c: 
        Correction of WX data below 0F, submitted by Timo Pekurinen

2001-12-22 21:14  we7u

        * src/interface.c: More fixes for interfaces.  We now keep each
        allocated socket until we wish to stop or restart an interface.

2001-12-22 16:02  we7u

        * src/interface.c: Tweaks to get rid of one error, and to allow
        errored interfaces to be killed or restarted.

2001-12-22 12:58  we7u

        * src/: fcc_data.c, interface.c, interface_gui.c: Fixes to
        interfaces.  "Start All" now skips devices that are already up. 
        "Stop All" skips those that are already down.  Sockets are not shut
        down if they failed to start in the first place.

2001-12-21 21:23  we7u

        * src/main.c: Tweaks to dialog positioning.  A bit more consistent
        now.

2001-12-21 16:33  we7u

        * src/main.c: Now calling check_ports() every 7.5 minutes instead
        of 5 minutes.  This will cause an inactive port to be killed
        restarted in about 15 minutes.

2001-12-21 16:24  we7u

        * src/interface.c: Now check for DEVICE_UP before checking for
        inactivity on a port.  Changed many debug messages as well.

2001-12-21 15:40  we7u

        * src/interface.c: Commented out the statement which sets port
        status to DEVICE_ERROR on a read of zero characters from the
        socket.  This is taken care of by the inactivity timers now.  It
        was causing a problem when a nearby port was killed/restarted,
        which must have sent a signal to the read or recvfrom calls,
        thereby interrupting them and causing the port to be closed
        wrongly.

2001-12-21 15:29  we7u

        * src/db.c: Moved some of the debug output for messages to use
        "debug_level & 4".  Needed to get those messages out of the way of
        the "&2" debug output I need now.

2001-12-21 02:23  we7u

        * src/: interface.c, interface.h, interface_gui.c, main.c:
        Implemented inactivity timeouts for network sockets.  If nothing
        heard in 5 minutes, status goes red.  Another 5 minutes and a
        reconnect occurs.  Also fixed some logic involved in detecting EOF
        on sockets and broken sockets.

2001-12-20 22:12  we7u

        * src/interface.c: Upped the size of one string variable.  Added
        debugging statements.

2001-12-20 18:58  we7u

        * src/interface.c: Fixed a bug where a connect thread isn't
        terminated properly under some conditions.  Added some comments.

2001-12-20 13:14  we7u

        * src/interface.c: Added more possible thread cancellation points
        for the connect thread.  Added more comments.

2001-12-20 12:35  we7u

        * src/interface.c: Got rid of another useless error message on a
        pthread_cancel() call.  Added a few more comments.

2001-12-20 12:19  we7u

        * src/interface.c: Any error from pthread_cancel means that the
        thread has already died or that we got the thread number wrong. 
        Commented out the warning messages for that case, which don't
        matter to us.

2001-12-20 12:01  we7u

        * src/interface.c: Thread functions return positive error values
        instead of negative.  Corrected IF's to compensate for this.

2001-12-20 11:48  we7u

        * src/: hostname.c, interface.c: Added more diagnostics to thread
        termination.  Added more places where the port read/write threads
        actually check for a termination request.  This is to help
        alleviate the problem where old threads don't get terminated.

2001-12-20 04:24  dk7in

        * help/: help-English.dat, help-German.dat: 
        Added a note about potential xpm map problems

2001-12-18 17:57  dk7in

        * TODO: 
        update

2001-12-18 13:54  dk7in

        * help/help-German.dat: 
        Translation finished.

2001-12-17 18:24  we7u

        * TODO: [no log message]

2001-12-17 18:23  n7tap

        * config/language-French.sys: The degree symbol was added in
        English

2001-12-17 18:18  n7tap

        * AUTHORS: I think I'm an author: terraserver, area objects,
        position ambiguity, etc.

2001-12-17 14:47  we7u

        * README.1ST: Added notes about OpenMotif, Mandrake "-Xp" library
        linking, Kernel 2.4 patches required for AX.25 networking.

2001-12-17 14:09  we7u

        * README.1ST: Most details about security warnings.

2001-12-17 13:30  we7u

        * symbols/symbols.dat: Changed copyright notice to correspond with
        the rest of the code.

2001-12-17 13:29  we7u

        * AUTHORS: Slight change to copyright (puntuation).

2001-12-17 04:10  we7u

        * src/maps.c: A smaller font for the DOS/Windows rotated map
        labels, as requested.

2001-12-16 19:41  dk7in

        * help/: help-English.dat, help-German.dat: 
        Updates and translation...

2001-12-16 19:41  dk7in

        * config/language-German.sys: 
        Updates...

2001-12-16 17:13  dk7in

        * src/main.c: 
        Beautifying of version string

2001-12-16 13:36  dk7in

        * help/: help-English.dat, help-German.dat: 
        Polishing of English and more translation of German help file.

2001-12-16 13:35  dk7in

        * config/language-German.sys: 
        Update...

2001-12-16 09:38  dk7in

        * help/: help-English.dat, help-German.dat: 
        Update...

2001-12-16 09:37  dk7in

        * src/wx_gui.c: 
        Added key "mm Hg"

2001-12-16 09:37  dk7in

        * config/: language-Dutch.sys, language-English.sys,
        language-French.sys, language-German.sys, language-Italian.sys,
        language-Spanish.sys: 
        Added key for "mm Hg"

2001-12-15 21:38  we7u

        * config/language-Dutch.sys: Changes by Henk de Groot
        <pe1dnn@amast.org>

2001-12-14 18:07  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/interface_gui.c: Added socket numbers to device lists.  Added
        spaces to end so that dialog would be larger, showing entire string
        in all cases.

2001-12-14 15:26  we7u

        * src/interface.c: Fixes to prevent buffer overruns on received
        data.

2001-12-14 12:20  we7u

        * src/db.c: Fixes for Station Chooser when altnet is enabled.

2001-12-14 12:02  we7u

        * src/db.c: Slight optimization to make is_altnet() be called only
        once per station.

2001-12-14 11:21  n7tap

        * config/language-French.sys: Updated to match English

2001-12-14 10:45  dk7in

        * config/language-English.sys, config/language-German.sys,
        help/help-English.dat, help/help-German.dat: 
        Updates...

2001-12-14 03:56  we7u

        * src/hostname.c: Tweak to let it compile on non-linux systems.

2001-12-14 03:36  we7u

        * src/main.c: Fix for "Measure" when used on larger areas.  Was
        causing segfaults before due to overrunning the "temp" variable.

2001-12-14 02:54  we7u

        * src/db.c: Fixes to altnet parsing.  Separated string checking
        into its own function.  Altnet is more consistent now throughout
        the code.

2001-12-13 18:13  we7u

        * src/hostname.c: More comments.  Turn of alarm timer if we got
        _something_ back from DNS, before we process it.

2001-12-13 14:54  we7u

        * configure, configure.in: Bumped the revision to 1.0.6 due to all
        the largish bug fixes in the last few weeks.

2001-12-13 14:51  we7u

        * src/: hostname.c, interface.c, main.c: Got rid of left-over
        socket connection from net connection failures.  Got rid of most of
        the left-over pipes caused by host lookups.  Changed host reconnect
        time to check every ten minutes instead of every two minutes.

2001-12-13 13:29  n7tap

        * src/draw_symbols.c: Changing inline to __inline__ should not
        confuse ANSI C compilers, but should still inline when compiling
        with gcc.

2001-12-13 04:19  we7u

        * src/interface.h: Corrected spelling.

2001-12-12 18:35  we7u

        * README.1ST: Added some introductory notes that should help the
        first-time user.

2001-12-12 16:54  we7u

        * src/: db.c, draw_symbols.c, festival.c, interface.c, main.c,
        maps.c, rotated.c, util.c: Fixed some of the warnings generated by
        adding "-Wpointer-arith -W -pedantic" to the src/Makefile CFLAGS
        definition.

2001-12-12 04:10  we7u

        * src/: hostname.c, maps.c: A few more -pedantic gcc flag fixes.

2001-12-12 03:43  we7u

        * src/: db.c, interface.c, main.c, wx.c: Fixes to clean up gcc
        compiler warnings when compiling with the -pedantic flag turned on.

2001-12-11 22:39  we7u

        * README.1ST: Added more suid-root warnings.

2001-12-11 16:10  we7u

        * src/maps.c: Added a comment.

2001-12-11 16:10  we7u

        * src/alert.h: Got rid of comma at the end of an enumerated list.

2001-12-11 12:39  we7u

        * README.1ST: Correct minor sentence error.

2001-12-08 18:30  we7u

        * src/db.c: Added a comment.

2001-12-07 20:40  we7u

        * src/db.c: Getting rid of extra '*' characters when gating
        'net->RF.

2001-12-07 19:51  we7u

        * src/db.c: Getting rid of "TCPXX" in path sent to RF during
        igating.

2001-12-07 19:39  we7u

        * src/db.c: Another small igate->RF path tweak.

2001-12-07 18:06  we7u

        * README.1ST: Added more notes about wget.

2001-12-07 16:13  we7u

        * src/db.c: Proper shortening of paths when gating from Net->RF. 
        Handles WIDEn-N and TRACEn-N paths appropriately.  Gets rid of
        unused digipeater paths when gating to RF as the spec requires.

2001-12-06 15:56  we7u

        * help/help-English.dat: Corrected spelling.

2001-12-06 13:34  dk7in

        * src/main.c: 
        Added some language keys.

2001-12-06 13:33  dk7in

        * config/: language-Dutch.sys, language-English.sys,
        language-French.sys, language-German.sys, language-Italian.sys,
        language-Spanish.sys: 
        Added/reused some keys, updated German version.

2001-12-06 13:32  dk7in

        * help/: help-English.dat, help-German.dat: 
        Updated help files.

2001-12-05 20:03  we7u

        * src/maps.c: And another small tweak for ImageMagick 5.4 and
        later.

2001-12-05 19:53  we7u

        * src/maps.c: Another change to make Xastir work cleanly with
        ImageMagick 5.4.

2001-12-05 19:30  we7u

        * src/maps.c: Tweaking ImageMagick API calls so that they work
        correctly with the changes that have been made recently to the API.
         I wish they'd stop changing it!

2001-12-05 18:23  we7u

        * src/: maps.c, track_gui.c: Changing wget retries from default of
        20 down to 1.

2001-12-05 14:44  we7u

        * src/track_gui.c: Added busy_cursor() call to Download Findu Trail
        option.

2001-12-05 14:25  we7u

        * src/maps.c: Fixed map loading.  Now handles spaces in filenames
        and loads multiple maps.

2001-12-04 19:10  we7u

        * src/maps.c: Tweaks to allow spaces in map filenames.

2001-12-04 17:24  n7tap

        * src/alert.c: Spelling was driving me nuts! ;-)

2001-12-04 15:26  we7u

        * src/main.c: Start up interfaces after drawing maps during initial
        startup.

2001-12-04 14:11  we7u

        * src/alert.c: Turned off another debug message unless debug_level
        > 0.

2001-11-30 19:25  we7u

        * src/main.h: Turned on mutex debugging for Linux boxes.

2001-11-30 16:53  we7u

        * src/: igate.c, interface.c, interface.h, interface_gui.c: More
        bulletproofing.  Added many checks for null pointers and empty
        strings, added a new mutex to protect the devices[] global
        structure.

2001-11-29 14:56  we7u

        * symbols/symbols.dat: Changed helicopter to bright red to make it
        more visible.

2001-11-29 13:21  we7u

        * symbols/symbols.dat: Changed the small circle to be empty instead
        of filled, and slightly bigger.

2001-11-29 13:07  we7u

        * symbols/symbols.dat: Added "NO SYM YET" back in, but made the
        text bigger and easier to read.

2001-11-29 12:46  we7u

        * symbols/symbols.dat: Added a CVS ID line.

2001-11-28 18:28  we7u

        * symbols/symbols.dat: Fixed symbol I broke earlier today.

2001-11-28 13:16  we7u

        * symbols/symbols.dat: Updated boy scout symbols courtesy of
        Marinus van Opzeeland <m.vanopzeeland@chello.nl>.

2001-11-28 02:50  we7u

        * src/messages_gui.c: Fixing problems involved with sending
        messages.  Can't send to blank callsign, can't send blank message
        now, and can't send a message to ourselves (the last one sometimes
        caused segfaults).

2001-11-28 02:00  we7u

        * src/maps.c: Removing debug output.

2001-11-28 01:50  we7u

        * src/: maps.c, track_gui.c: Changes to allow two or more users to
        run Xastir on the same machine at the same time.  Temp files in
        /var/tmp won't conflict now:  Username added to the filenames.

2001-11-27 23:50  we7u

        * src/main.c: Corrected one comment.

2001-11-27 15:08  we7u

        * config/language-Italian.sys: Updates by Alessandro Frigeri,
        IK0YUP, ik0yup@infinito.it.

2001-11-26 17:39  dk7in

        * help/: help-English.dat, help-German.dat: 
        First part...

2001-11-26 12:59  we7u

        * config/language-Spanish.sys, help/help-Spanish.dat: Updates by
        Jose R. Marte A. <jose.r@codetel.net.do>, hi8gn.

2001-11-26 12:54  dk7in

        * config/language-English.sys: 
        Map Display Bookmarks

2001-11-26 11:47  dk7in

        * symbols/symbols.dat: 
        Small correction with symbol orientation.

2001-11-26 01:23  we7u

        * config/language-Dutch.sys: Changes by Henk de Groot
        <pe1dnn@amast.org>.

2001-11-24 02:51  we7u

        * symbols/symbols.dat: Changed to black tires on RV.

2001-11-23 21:29  we7u

        * symbols/symbols.dat: Changed to a white RV.  Looks more like most
        I see.

2001-11-23 21:17  we7u

        * symbols/symbols.dat: New RV symbol.  This one looks like an RV
        (motor-home).

2001-11-23 20:27  we7u

        * symbols/symbols.dat: Modified small circle icon.

2001-11-23 20:22  we7u

        * symbols/symbols.dat: Updated 18-wheeler symbol.

2001-11-23 20:07  we7u

        * src/main.c: Changing default symbol for objects/items to
        something more suitable than the Sheriff/Police symbol.

2001-11-23 11:59  n7tap

        * config/language-French.sys: One translation lost One new
        translation A few lines out of order wrt the English file

2001-11-22 21:56  we7u

        * symbols/symbols.dat: A few changes to the symbols to make them
        look better, and to make them better correspond to the APRS spec.

2001-11-22 15:47  we7u

        * config/language-Dutch.sys: Updates by Henk de Groot.

2001-11-21 21:41  dk7in

        * config/: language-Dutch.sys, language-English.sys,
        language-French.sys, language-German.sys, language-Italian.sys,
        language-Spanish.sys: 
        Dropped one key too much...

2001-11-21 21:27  dk7in

        * config/: language-English.sys, language-German.sys: 
        Cleanup and translation.

2001-11-21 19:35  dk7in

        * config/: language-Dutch.sys, language-English.sys,
        language-French.sys, language-German.sys, language-Italian.sys,
        language-Spanish.sys: 
        Structural updates for all language files.

2001-11-21 19:34  dk7in

        * src/: db.c, main.c: 
        Changed and added keys for language files.

2001-11-21 16:27  n7tap

        * config/language-English.sys: I don't think miles should be
        capitalized

2001-11-20 17:32  n7tap

        * config/language-French.sys: Updated, comparing to the English
        file; lots of changes...

2001-11-20 17:32  n7tap

        * config/language-English.sys: Just a little tweakage as I was
        going through the French file.

2001-11-19 23:02  we7u

        * src/db.c: Fixed up igating of messages to RF.  Was chopping off
        the "{MSGID" portion.

2001-11-19 03:44  we7u

        * src/: db.c, messages.c, messages_gui.c: Took off trailing spaces
        on message sequence number which was causing problems when trying
        to match sequence numbers.  Added more mutex locks for messaging in
        an attempt to make Xastir more stable.

2001-11-16 01:50  we7u

        * src/: db.c, messages_gui.c: Put the calls of the stations
        communicating on the messages lines, instead of the arrows pointing
        to/away from my callsign.  Much easier to understand.

2001-11-15 12:43  we7u

        * src/igate.c: Better logging messages for igating.

2001-11-15 01:09  we7u

        * src/igate.c: Formatting the log files better.

2001-11-14 18:45  we7u

        * src/igate.c: More rational logging of igated packets.  Only log
        the ones we send through unless debug level is turned up.  Rejects
        are not logged.

2001-11-14 17:12  we7u

        * src/db.c: Corrected packet format for igating from net->rf for
        both messages and NWS bulletins.

2001-11-14 12:21  we7u

        * README.1ST: Added a note about "--with-ax25" and how it sometimes
        hurts more than helps.

2001-11-14 11:55  we7u

        * README.1ST: Added instructions for gating NWS weather alerts onto
        RF.

2001-11-14 03:57  we7u

        * src/igate.c: Hooked another debug message into debug_level.

2001-11-10 03:26  we7u

        * src/db.c: Added checks to decode_Mic_E() function for symbol
        table char, symbol char, and minimum MIC-E length.

2001-11-09 20:43  we7u

        * README.1ST: Added a warning about unlicensed use.

2001-11-09 19:26  we7u

        * src/interface.c: Added some comments.

2001-11-09 19:14  we7u

        * src/main.c: Fixed minor bug when sending deleted object strings
        out.

2001-11-09 19:12  we7u

        * src/igate.c: Changed some comments.

2001-11-09 17:17  we7u

        * configure, configure.in: Bumped up to version 1.0.5 so we can
        track who's running igate caller-ID.

2001-11-09 15:10  we7u

        * README.1ST: More additions regarding security.

2001-11-09 15:00  we7u

        * src/: db.c, interface.c: Changed some comments.

2001-11-09 13:26  we7u

        * README.1ST: Minor tweaks to permissions.

2001-11-08 18:15  we7u

        * README.1ST: More serial port permissions details.

2001-11-08 17:42  we7u

        * README.1ST: Added more detail regarding security options for
        serial ports and kernel AX.25 networking.

2001-11-08 12:16  n7tap

        * src/main.c: Changing PHG in Station Configure dialog was adding a
        / to the end of the string.

2001-11-07 18:48  we7u

        * src/util.c: Small tweak to valid_path() regarding chopping off
        igate injection ID's.

2001-11-07 18:24  we7u

        * src/util.c: Handle decoding of igate injection ID formats. 
        Tweaked valid_path to remove ",I" and "-0" additions to callsigns.

2001-11-07 16:03  we7u

        * src/maps.c: Got rid of two unused variables in the palm map code.

2001-11-07 01:34  we7u

        * src/maps.c: Fixed pocketaprs map labels using mostly Henk's
        patches (PE1DNN).

2001-11-06 17:49  we7u

        * src/db.c: Added igate-ID to packets that we inject into the
        internet.  We now add our callsign and ',I' to the path before we
        inject.

2001-11-06 14:18  we7u

        * help/help-English.dat: Added a note:  Find a list of internet
        servers in README.1ST.

2001-11-06 14:16  we7u

        * README.1ST, src/interface_gui.c: Took out the default internet
        server text.  List of internet servers is in README.1ST.

2001-11-06 01:31  we7u

        * Makefile.am: Set up xastir/maps/filled, transparent, and
        z_overlay directories during install.  This helps with layering the
        maps in the proper order when more than one map type is selected.

2001-11-06 01:21  we7u

        * Makefile.am: Added copying LICENSE, COPYING, and README.1ST to
        /usr/local/xastir/doc directory during install.

2001-11-05 19:48  we7u

        * xastir.spec.in: Added README.1ST

2001-11-05 19:46  we7u

        * xastir.spec.in: Added the LICENSE file.

2001-11-05 19:35  we7u

        * src/maps.c: Initial attempt at implementing labels for
        pocketAPRS-type maps.

2001-11-05 18:30  we7u

        * src/maps.c: Code changes by PE1DNN.  Re-formatting by WE7U.

2001-11-05 17:21  we7u

        * help/help-English.dat: Another addition by Curt.

2001-11-05 17:12  we7u

        * README.1ST, help/help-English.dat: Additions/corrections by
        Reuven Gevaryahu, KB3EHW.

2001-11-05 14:41  we7u

        * src/maps.c: Fixed non-rotated windows-type aprs map labels.

2001-11-05 02:20  we7u

        * src/main.c: Simple tweak to make Xastir not update the maps when
        you hit the upper or lower zoom level limits.  If nothing has
        changed, don't update the display.

2001-11-04 22:56  we7u

        * src/db.c: Added busy_cursor to Station_data() and Station_info()
        functions.

2001-11-04 22:53  we7u

        * src/main.c: Added a busy cursor to Map Chooser.

2001-11-04 22:03  we7u

        * scripts/inf2geo.pl: Simplified code that handles both formats of
        output from "identify".

2001-11-04 16:05  dk7in

        * src/db.c: 
        decode saw comment "145.600" as course/speed, corrected now.

2001-11-04 03:15  we7u

        * scripts/inf2geo.pl: Tweaks to handle new format "identify" output
        from ImageMagick tools.

2001-11-04 00:07  we7u

        * help/help-English.dat: Additions/corrections by Reuven Gevaryahu,
        KB3EHW.

2001-11-03 19:57  we7u

        * help/help-English.dat: More updates by Curt.

2001-11-03 17:00  we7u

        * help/help-English.dat: More updates by Curt.

2001-11-03 16:03  we7u

        * help/help-English.dat: A few more updates by Curt.

2001-11-03 13:57  we7u

        * src/: maps.c, rotated.c: Fixed the upside-down label problem for
        windows-type APRS maps.

2001-11-03 12:25  we7u

        * src/maps.c: A fix for long rotated labels, windows-type maps, in
        draw_map().

2001-11-02 20:50  we7u

        * help/help-English.dat: A few tweaks by Curt.

2001-11-02 20:06  we7u

        * LICENSE: Added this file to comply with some of the licensing
        agreements of added source code.  Makes things very clear.

2001-11-02 19:50  we7u

        * src/main.c: Added Help->About text in for xvertext, including
        copyright notice.

2001-11-02 14:42  we7u

        * src/maps.c: Fixes geotiff code so that it'll work directly from
        USGS CDROM's in the CDROM drive.  Now looks for .fgd files in the
        ../metadata/ directory, which is where they are on a USGS CDROM
        disc.

2001-11-02 01:06  we7u

        * help/help-English.dat: Additions/corrections by Reuven Gevaryahu,
        KB3EHW.

2001-11-01 17:05  we7u

        * src/xa_config.c: Oops.  Commented out one too many lines.  This
        fixes id.

2001-11-01 15:37  we7u

        * src/db.c: Added lots of comments.  Combined common code into a
        new function: station_del_ptr().

2001-11-01 15:35  we7u

        * src/xa_config.c: Getting rid of the minimum 24 hour expire for
        the station database.  This will allow us to go to a 12-hour expire
        if the station-clear-from-screen limit is set to it's low of 6
        hours.  Keeps the memory used by Xastir down when hooked to one or
        more internet links (receiving lots of stations).

2001-11-01 14:34  we7u

        * src/xa_config.c: Added some comments.

2001-11-01 14:34  we7u

        * src/db.h: Changed some comments.

2001-11-01 02:22  we7u

        * src/rotated.c: Cleaned up a few compiler warnings.

2001-11-01 02:09  we7u

        * src/draw_symbols.c: Got rid of some unused variables in one
        function.

2001-11-01 01:40  we7u

        * src/draw_symbols.c: Fixed PHG circles to be drawn per the APRS
        spec, instead of like beam heading ovals which are incorrect.  They
        are now always circles, offset by 1/3 the radius if there's a
        favored direction.

2001-10-31 01:44  we7u

        * src/db.c: Tweaks to display_station() to keep it from ghosting
        locally-owned objects and items.

2001-10-30 20:00  we7u

        * src/maps.c: Tweaked a few comments.  Commented out a printf. 
        Trying to get windows-format embedded objects to work but no luck
        yet.

2001-10-30 12:37  we7u

        * help/help-English.dat: Additions/corrections by Reuven Gevaryahu,
        KB3EHW.

2001-10-30 12:31  we7u

        * src/maps.c: Getting rid of gray background for other non-rotated
        map labels.  The gray rectangle obscurs details of the map
        underneath.

2001-10-30 12:12  we7u

        * src/maps.c: Getting rid of gray background for rotated labels,
        that didn't match the rotation anyway.

2001-10-30 11:56  we7u

        * src/Makefile.in: Attempting to get rid of conflicts caused by
        adding two new files.

2001-10-30 02:46  we7u

        * src/maps.c: Changed to a better font and size for Window-type map
        labels.

2001-10-30 01:30  we7u

        * src/Makefile.in: Added rotated.h and rotated.c to Makefile.in

2001-10-30 01:19  we7u

        * src/: Makefile.am, maps.c: Added support for rotated text labels
        through the addition of rotated.h and rotated.c files.

2001-10-30 01:16  we7u

        * src/: rotated.c, rotated.h: Initial checkin of files which
        support drawing rotated label text onto the screen.

2001-10-29 04:36  we7u

        * src/maps.c: Starting to add label rotations to Windows-type APRS
        maps.

2001-10-29 03:29  we7u

        * src/db.c: Object/Items now transmit at posit rate selected in
        Configure->Defaults (third row of togglebuttons).  Fixed
        db.c:data_add() to treat objects/items differently:  It doesn't
        update the timestamp in the database for locally-owned
        objects/items when it hears them.  Xastir will cease to transmit
        the objects when they expire from the queue, which is 2 * the
        station display interval (again selected in Configure->Defaults,
        2nd row of togglebuttons).

2001-10-28 02:09  we7u

        * src/db.c: Forget a conversion from meters to feet for altitude in
        the new code.

2001-10-28 01:52  we7u

        * src/: db.c, main.c: Fully implemented repeating objects/items. 
        They will now be retransmitted at a 30 minute rate.  Currently
        either the "live" or "killed" objects/items will keep transmitting
        forever.  They won't expire from the queues because Xastir keeps
        hearing them on at least the loopback interface at a 30-minute
        rate.

2001-10-28 00:25  we7u

        * src/db.c: Small fix to allow searching for item names that end in
        one or two spaces.

2001-10-27 23:15  we7u

        * src/: db.c, db.h, main.c, main.h, util.c: Retranmitting items and
        objects initial implemention.  Owned objects will be retransmitted
        each 15 minutes.  Currently only handles regular items/ objects,
        not signposts, area objects, or DF objects.

2001-10-27 15:50  we7u

        * src/: db.c, main.c: Fixing a bug in Configure->Defaults, missing
        a break statement.

2001-10-27 15:13  we7u

        * src/: db.c, db.h, main.c, maps.c: Starting to implement
        retransmission of locally-owned objects/items.  Not functional yet.

2001-10-27 03:14  we7u

        * src/: draw_symbols.h, main.c, maps.c, maps.h: More messing with
        Windows-type APRS map labels and embedded objects.

2001-10-26 19:13  we7u

        * src/maps.c: Added decoding of embedded objects/labels for
        DOS-format maps.  Windows- type map support of embedded objects is
        in there too, but may be incomplete yet.

2001-10-26 14:58  we7u

        * src/: bulletin_gui.c, db.c, draw_symbols.c, location_gui.c,
        main.c, maps.c, track_gui.c, view_message_gui.c, wx_gui.c: Added
        more mutex locks around some of the newer dialogs.  Added month to
        Station Info tracks.  Filter non-map files from Map Chooser
        listing.

2001-10-26 11:23  dk7in

        * scripts/mapblast2geo.pl: 
        Small modification of scaling algorithm.

2001-10-25 18:15  we7u

        * src/track_gui.c: Changed Cancel to Close on Track Station dialog
        button.  Makes more sense.

2001-10-25 15:28  we7u

        * src/locate_gui.c: Made the default button on the search dialog be
        the Locate Now! button.

2001-10-25 13:33  we7u

        * src/main.c: Removed more widgets on main window from tab group. 
        Object is to only have the drawing area in the tab group so that
        tab/back-tab won't defeat the keyboard controls for the drawing
        area.

2001-10-25 13:02  we7u

        * src/main.c: Took the measure, move, and arrow panning buttons out
        of the tab group.  This makes the zoom keys work more often without
        having to tab first to get to the drawing area.

2001-10-25 12:49  we7u

        * src/: locate_gui.c, maps.c: Implemented "Match Case" button for
        Locate Map Feature function.

2001-10-24 15:31  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/locate_gui.c, src/main.c, src/maps.c, src/maps.h,
        src/xa_config.c, src/xastir.h: Nearly fully implemented
        feature-search.  Quite usable now.

2001-10-24 12:24  we7u

        * src/main.c: Getting rid of the copying of the first and second
        pixmap to the screen while generating a screen image.  Most
        machines are fast enough so that these operations just get in the
        way.  This will provide a speedup on all machines at the expense of
        seeing nothing until the operation is complete.

2001-10-24 12:01  we7u

        * README.1ST, help/help-English.dat: Additions/corrections by
        Reuven Gevaryahu, KB3EHW.

2001-10-23 17:45  we7u

        * src/: locate_gui.c, maps.c: More changes for GNIS search
        function.  "Match Case" works now.  GNIS files must now be in
        /usr/local/xastir/GNIS/ directory for the search to work.

2001-10-23 14:40  we7u

        * src/maps.c: Changing scale at which mountains appear with GNIS
        files.

2001-10-23 03:31  we7u

        * src/: db.h, maps.c: Place search facility is starting to work.

2001-10-23 01:06  we7u

        * src/wx.c: Changes by Ken Koster, N7IPB, to enable more of the
        functionality of the Radio Shack weather station.

2001-10-22 22:30  we7u

        * src/maps.c: Fixes to integer arithmetic in DOS/Windows map code
        by Alan Crosswell, <n2ygk@weca.org>.

2001-10-22 19:43  we7u

        * src/maps.c: Fixed a small bug in GNIS code w.r.t. names with
        embedded commas.

2001-10-22 18:41  we7u

        * src/maps.c: Display items from GNIS files based on type,
        population, and map scale.

2001-10-22 13:37  we7u

        * config/language-Dutch.sys: More translations by Han Sytsma
        <h.l.sytsma@hetnet.nl>.

2001-10-22 03:06  we7u

        * src/: locate_gui.c, main.c, main.h, maps.c, maps.h: The start of
        a placename search feature using GNIS map data.

2001-10-21 14:49  we7u

        * src/: maps.c, util.c: Added another "map" format, USGS GNIS
        files.  Very detailed files containing only map labels.

2001-10-20 18:01  we7u

        * src/: db.c, draw_symbols.c, main.c, maps.c: Getting rid of
        compiler warnings in several places.  Also changed the zoom levels
        at which different labels are shown.

2001-10-20 17:31  we7u

        * src/main.c: Another fix to Help->About to prevent segfaulting on
        some machines.

2001-10-20 17:08  dk7in

        * src/db.c: 
        Correction of X-1J4 TNC code.

2001-10-20 03:09  we7u

        * src/main.c: Fixed two minor bugs in Help->About dialog, one of
        which was causing segfaults on some people's machines.  Also
        changed background color of that dialog to match the rest of
        Xastir.

2001-10-19 15:08  we7u

        * config/language-German.sys: Changed from JPEG to PNG files for
        auto-snapshot option.

2001-10-19 15:07  we7u

        * config/: language-Dutch.sys, language-English.sys,
        language-French.sys, language-Italian.sys, language-Spanish.sys:
        Changed JPEG to PNG image for auto-snapshot option.

2001-10-19 15:06  we7u

        * src/: main.c, maps.c: Tweaked locations on toolbar a bit. 
        Changed JPEG images to PNG images for the auto-snapshot menu
        option.

2001-10-19 14:17  we7u

        * src/: main.c, maps.c: Added the panning arrow buttons back onto
        the new toolbar.  Should work with real Motif now since they're not
        on the menubar anymore.

2001-10-19 13:06  dk7in

        * src/db.c: 
        Make TNC X-1J4 work

2001-10-19 12:16  we7u

        * src/main.c: Initial attempt at separating togglebuttons from the
        main menu so that they'll work with Motif.

2001-10-18 15:03  we7u

        * src/maps.c: Bumping total_vector_points up to 200,000 so that
        larger DOS-format vector maps can be handled.

2001-10-17 14:39  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c, src/main.h, src/maps.c, src/maps.h, src/xa_config.c:
        Added jpeg snapshot capability.  Xastir will automatically create a
        jpeg of the map window every 60 seconds.  Useful for web pages and
        such.

2001-10-17 13:30  we7u

        * src/maps.c: Added some comments.

2001-10-17 10:58  dk7in

        * scripts/mapblast2geo.pl: 
        Script for generating .geo files for mapblast pixel maps.

2001-10-17 01:02  we7u

        * src/main.c: Fix to Help-About dialog by Reuven Gevaryahu, KB3EHW.

2001-10-16 13:12  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c, src/maps.c: Moved buttons on the Maps menu.  Call the
        "gv" viewer on the print file from the Print Properties menu.

2001-10-16 12:09  we7u

        * src/main.c: Moved the map grid to _under_ the symbols/tracks, so
        that it doesn't obscure anything.

2001-10-16 11:59  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/maps.c, src/maps.h, src/xa_config.c: Added Reverse Colors
        option to Print Properties dialog.  Useful for flipping Black/White
        to use less ink at times.  Saved the button state in the config
        file as well.

2001-10-16 02:54  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c, src/maps.c, src/maps.h, src/xa_config.c: Now save the
        state of the print properties buttons.  Cleaned up some of the
        status messages.

2001-10-16 02:18  we7u

        * src/: draw_symbols.c, main.c, maps.c: Fleshing out the Print
        Properties operation.  Prints in 150 dpi now which is enough to
        catch the callsign text correctly.  Added another font to
        Maps->Station Text Style that looks better on the printed page.

2001-10-15 01:46  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/maps.c: More tweaks to printer dialog.

2001-10-14 20:01  we7u

        * src/maps.c: Auto-scaling and Auto-rotation are now functional in
        the print properties dialog.

2001-10-14 19:16  we7u

        * src/maps.c: A partially working print properties dialog.  Allows
        rotating by 90 degrees and choosing B&W printouts.

2001-10-14 18:36  we7u

        * src/maps.c: Starting to populate the Print Properties dialog.

2001-10-14 02:30  kg4ijb

        * Makefile.in, acconfig.h, aclocal.m4, config.h.in, configure,
        configure.in, config/Makefile.in, help/Makefile.in, m4/Makefile.in,
        src/Makefile.in, src/main.h, src/callpass/Makefile.in,
        symbols/Makefile.in: fixed tocall to automagically match version. 
        Should only need to set in configure.in now

2001-10-14 01:00  we7u

        * src/: main.c, maps.c, maps.h: Added rudimentary print-to-file
        capability.  Currently prints to a file /var/tmp/xastir_print.ps,
        which is a rotated postscript monochrome file.  Run lpr on this
        file and you'll get a nice printout.  Eventually plan to add a
        Print Properties dialog which will allow setting sheet size, color/
        B&W, rotation, and scaling options.

2001-10-13 09:12  kg4ijb

        * acinclude.m4, aclocal.m4, configure, m4/Makefile.in,
        src/callpass/Makefile.in: fix shapelib foobar

2001-10-13 01:02  kg4ijb

        * Makefile.in, acinclude.m4, config.h.in, configure, configure.in,
        config/Makefile.in, help/Makefile.in, m4/Makefile.in,
        src/Makefile.in, src/main.c, src/maps.c, src/maps.h,
        src/xa_config.c, src/callpass/Makefile.in, symbols/Makefile.in:
        More fun with configure

2001-10-12 23:52  we7u

        * help/help-English.dat: More wonderful doc changes by Reuven
        Gevaryahu, KB3EHW.  He's been busy...

2001-10-12 23:40  we7u

        * src/main.c: Changing 0537 to 0538.  Version of Imagemagick where
        the initialization call changed.

2001-10-12 18:31  we7u

        * src/: draw_symbols.c, main.c: Correcting some labels.  Made
        symbol_select dialog dissapear when the Configure->Station dialog
        goes away.

2001-10-12 18:19  we7u

        * src/: draw_symbols.h, main.c: Fixed a few labels on the
        Select_symbol dialog.  Made the dialog go away when any of the
        master buttons on Create->Object/Item dialog are pushed.

2001-10-12 03:30  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c: Added a warning popup when an object/item is being
        created, the button is pushed, but some required field is not
        filled in.

2001-10-12 03:15  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/draw_symbols.c, src/draw_symbols.h, src/main.c, src/main.h:
        Selecting symbols via the mouse fully implemented.

2001-10-12 01:53  we7u

        * src/draw_symbols.c: Deleted OK button from Symbol selection
        dialog.

2001-10-12 01:32  we7u

        * help/help-Dutch.dat, help/help-English.dat, help/help-French.dat,
        help/help-German.dat, help/help-Italian.dat, help/help-Spanish.dat,
        src/draw_symbols.c: Small correction to the symbol tables in the
        help files.  Much more code done to implement mouse-selectable
        symbols.

2001-10-11 20:10  we7u

        * src/: draw_symbols.c, draw_symbols.h, main.c: More implementation
        of mouse selection of symbols.  Not completed yet.

2001-10-11 02:38  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c: Starting to add a dialog for choosing symbols.  MUCH
        more to do on this one.

2001-10-11 01:40  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c, src/main.h, src/xa_config.c: Added selectable posit
        rates to the Configure->Defaults menu.

2001-10-10 23:58  we7u

        * src/: interface.c, main.c: Changed interfaces to do true
        round-robin between entered paths.  Changed logging such that
        packets are always logged to net.log if enabled.  tnc.log is only
        written to if at least one interface is up (whether or not all the
        transmit buttons are enabled).  Changed Posit timing in main.c to
        something recognizable, currently 10 minutes per posit.

2001-10-10 12:33  we7u

        * src/interface.c: Fixed local logging of messages/object/items. 
        It also logs locally when transmit is disabled.  Still must fix
        posit local logging.

2001-10-10 12:03  we7u

        * src/: db.c, db.h, main.c: Implemented signpost object
        encoding/decoding.

2001-10-10 10:35  we7u

        * src/db.c: Made Station Chooser so that it remains up and other
        stations may be selected after the initial one.  This one's for
        Frank...

2001-10-10 03:56  we7u

        * src/main.c: Fixed some more minor bugs with objects.

2001-10-10 02:07  we7u

        * src/: main.c, draw_symbols.c: Fixing some minor bugs with objects
        and DF'ing rings.

2001-10-09 18:11  we7u

        * src/: db.c, main.c: Minor object->modify bugfixes.

2001-10-09 16:29  we7u

        * src/main.c: Updated tests to allow modifying regular object (not
        one of special three types).

2001-10-09 16:13  we7u

        * src/main.c: Limiting moves to objects/items.

2001-10-09 15:58  we7u

        * src/: db.c, main.c: Fixed a bug in Create->Object->Omni DF for
        new objects.  Set up defaults for Omni-DF and Beam-DF objects.

2001-10-08 21:50  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys, src/db.c,
        src/main.c: Moving of objects with the mouse is now implemented. 
        Enjoy!

2001-10-08 20:44  we7u

        * src/db.c: Fixing Station Info dialog so that it comes up again.

2001-10-08 19:14  we7u

        * src/main.c: Starting to add a move_object function.  Drag and
        drop object/items using the mouse.  Not complete yet.

2001-10-08 18:06  we7u

        * src/: db.c, main.c: Made the Modify->Object/Item menu item drop
        through the Station Info dialog to go straight through to the
        Modify dialog.  Much nicer.  We still use the code in Station Info
        to determine which objects are closest to the mouse pointer.

2001-10-08 17:31  we7u

        * src/db.c: Added ' ' and '.' decoding to extract_speed_course(). 
        Allowed by the spec.  We change them to '\0' before we leave the
        function.  Also added a call to extract_speed_course() _after_ the
        call to extract_omni.  Seems the course and speed may come after
        DFS in example packets I've seen.

2001-10-08 16:05  we7u

        * src/main.c: Completion of DF'ing dialog for Create->Object/Item. 
        It toggles the proper buttons now corresponding to the original
        object's parameters.

2001-10-08 15:09  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c, src/util.c: Functional DF'ing options for
        Create->Object/Item.  Encodes parameters correctly but doesn't
        figure out parameters from already-created objects yet.

2001-10-08 03:25  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c: Added two more buttons for Create->Object->DF dialog. 
        Not functional yet.

2001-10-08 02:58  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c: Starting to populate the DF section of the
        Object->Create dialog.  The widgets aren't functional yet.

2001-10-07 21:01  we7u

        * src/: db.c, draw_symbols.c, main.c: Fixed a couple of bugs
        relating to corridors and Area objects.  Changed the Create/Modify
        Object dialog to be dynamic, changing to any of four different
        forms when different togglebuttons are activated.  Should be
        simpler for the user now.  This is in preparation for adding more
        options in for creating DF objects.

2001-10-06 16:04  kg4ijb

        * Makefile.in, aclocal.m4, configure, configure.in, stamp-h.in,
        config/Makefile.in, config/tnc-startup.kpc3,
        config/tnc-startup.sys, help/Makefile.in, m4/Makefile.in,
        src/Makefile.in, src/callpass/Makefile.in, symbols/Makefile.in: [no
        log message]

2001-10-06 15:59  kg4ijb

        * config/language-Italian.sys: Alessandro Frigeri (IKOYUP) mods

2001-10-05 20:19  we7u

        * config/: language-Dutch.sys, language-English.sys,
        language-French.sys, language-German.sys, language-Italian.sys,
        language-Spanish.sys: Updates for Object stuff.

2001-10-05 17:53  we7u

        * configure.in: Changes by Jack Twilley:  Removed the spaces in the
        assignments for FreeBSD and SunOS, changed the mask for $host to
        reflect FreeBSD, and added a catchall case so that operating
        systems other than Linux, FreeBSD and SunOS would be able to
        successfully run ./configure.

2001-10-05 17:35  we7u

        * src/main.c: Preparations to add more dialogs for creating
        different types of objects.  This update is the start of separating
        the Object dialog into Object, Area Object, and DF Object dialogs. 
        More to do yet before the change will be complete.

2001-10-05 12:59  we7u

        * src/: draw_symbols.c, main.c, main.h: Added a new GC to allow
        keeping the stipple and the math graphics functions separate. 
        Starting to add DF support to the create object dialog.

2001-10-05 00:38  kg4ijb

        * aclocal.m4, config.h.in, configure: configure rebuild

2001-10-05 00:04  we7u

        * src/: db.c, db.h, draw_symbols.c, draw_symbols.h, util.c: Changed
        DF'ing beam heading lines to get a random color from the
        track_color array.  It is then saved in the struct for that object.

2001-10-04 23:42  kg4ijb

        * acconfig.h, acinclude.m4, configure.in, src/interface_gui.c: -
        Set resonable default port values based on system type -
        housekeeping in configure script

2001-10-04 20:15  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys, src/db.c,
        src/util.c, src/util.h: Added Station Info dialog decoding of DF
        beam headings.

2001-10-04 19:24  we7u

        * src/: db.c, draw_symbols.c, draw_symbols.h: Added beam
        headings/NRQ decoding (stuff for direction-finding/fox-hunting).

2001-10-04 12:11  we7u

        * src/main.c: Made DF circles insensitive when the symbols toggle
        was inactive.

2001-10-03 18:54  we7u

        * src/: db.c, db.h: Starting to add DF report decoding.

2001-10-03 18:14  we7u

        * src/draw_symbols.c: Changing "no report" DF'ing circles from gray
        to Black.

2001-10-03 17:47  we7u

        * src/draw_symbols.c: Changed offset DF circles to still be circles
        instead of ellipses.  This corresponds to the way it is done in
        DOSaprs.

2001-10-03 15:51  we7u

        * src/: db.c, draw_symbols.c, util.c: Changed to sizes similar to
        DOSaprs for DF'ing circles.  Changed to stippling to make maps show
        through the objects.

2001-10-03 12:25  we7u

        * src/db.c: Added decoding for weather info to object/item
        decoding.  Fix suggested by John Williams, VK5ZTY.  The spec allows
        the info in the comment field.

2001-10-03 04:34  we7u

        * src/: db.c, draw_symbols.c: More DF'ing changes.

2001-10-02 21:01  we7u

        * src/db.c: This Omni-DF stuff is starting to work!

2001-10-02 20:32  we7u

        * src/util.c: Changing the SHG calculations to avoid divide-by-zero
        in the same manner as DOSaprs does it.

2001-10-02 19:01  we7u

        * src/util.c: Small tweak to prevent divide by zero error in DF'ing
        code.

2001-10-02 18:40  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys, src/db.c,
        src/draw_symbols.c, src/draw_symbols.h, src/main.c, src/util.c,
        src/util.h: More DF'ing stuff.

2001-10-02 17:27  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys, src/db.c,
        src/db.h, src/main.c, src/main.h, src/util.c, src/xa_config.c: The
        start of adding DF'ing capability to Xastir.  More to do.

2001-10-01 15:57  we7u

        * FAQ: Added some text explaining two methods of getting an Xastir
        station to digipeat using the RELAY alias.

2001-10-01 12:50  we7u

        * src/main.c: ImageMagick initialization call changed at 5.3.7. 
        Changed the IFDEF in main.c to correspond.  Thanks to Jim Chandler
        for the info.

2001-09-28 14:04  we7u

        * src/main.c: Caused toggleButton indicators to be visible even
        when not selected, and up'ed the size of the indicator slightly.

2001-09-28 13:03  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c: Changed Measure to a togglebutton and moved it from the
        mouse menu to the main menubar.  Mode remains in effect while the
        button is depressed.

2001-09-28 12:36  kg4ijb

        * src/callpass/: Makefile.am, Makefile.in: Quite make process...
        I'll fix this later

2001-09-28 12:28  kg4ijb

        * src/callpass/: Makefile.am, Makefile.in: Fix make syntax errors

2001-09-28 11:58  we7u

        * src/: locate_gui.c, main.c: A tad bit of cleanup from the changes
        done today.

2001-09-28 11:46  kg4ijb

        * src/callpass/Makefile.am, src/callpass/Makefile.in,
        help/Makefile.in, xastir.spec.in: make resync

2001-09-28 11:41  kg4ijb

        * config/Makefile.in, m4/Makefile.in, src/Makefile.am,
        src/Makefile.in, symbols/Makefile.in: make resync

2001-09-28 11:30  kg4ijb

        * Makefile.am, Makefile.in, aclocal.m4: Catching up

2001-09-28 11:25  kg4ijb

        * config.h.in, configure: Rebuild with ImageMagick mods

2001-09-28 09:30  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/locate_gui.c, src/track_gui.c: Changing the way that tracking
        and locating stations works.  Now Keeps the last stations searched
        for or tracked while the program is running.  Also can start
        tracking for a station not yet heard.

2001-09-28 08:41  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c, src/track_gui.c, src/track_gui.h: Added another dialog
        for downloading station trails from findu.  Added this to the
        Stations menu.

2001-09-28 06:14  kg4ijb

        * acconfig.h, acinclude.m4, configure.in: Final edition to
        ImageMagick fun

2001-09-28 05:51  kg4ijb

        * src/maps.c: More ImageMagick fun -- WITH_IAMGEMAGICK

2001-09-28 05:27  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c: Added X/Y and area measurements.

2001-09-28 04:40  kg4ijb

        * src/main.c: more ImageMagick fun... fix lib version problems on
        initialization

2001-09-28 03:16  kg4ijb

        * ChangeLog: Rebuild

2001-09-28 03:15  kg4ijb

        * config.h.in: Added WITH_IMAGEMAGICK

2001-09-28 02:18  kg4ijb

        * acinclude.m4: XASTIR_CHECK_IMAGEMAGICK_LIBS() - added
        /usr/X11R6/bin to search string

2001-09-28 02:15  kg4ijb

        * src/main.c: - in main() changed MagickIncarnate ->
        InitializeMagick - help_about - added ImageMagick lib check and
        removed xbae check when not intstalled (I think)

2001-09-27 16:36  we7u

        * src/main.c: Working distance calculations.

2001-09-27 15:30  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c: Initial code to measure distances using the mouse. 
        Currently displays in X/Y pixels.

2001-09-25 22:02  dk7in

        * src/: db.h, db.c: 
        New "Moving" Flag

2001-09-25 04:09  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys, src/db.c,
        src/igate.c, src/interface.c, src/interface.h, src/main.c,
        src/main.h, src/messages.c, src/wx.c, src/xa_config.c: Added
        transmit disable buttons for All transmissions, My Posits, and
        Objects/Items to the Interfaces menu.

2001-09-24 09:17  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys, src/db.c,
        src/main.c, src/main.h, src/xa_config.c: Turning off mobile PHG
        circles, controlled via a new togglebutton on the Stations menu.

2001-09-22 12:06  we7u

        * src/: db.c, util.c: Added "HAAT" to the decoded PHG text.

2001-09-21 08:54  we7u

        * config/language-English.sys: Removed the spacing for the Stations
        menu.

2001-09-21 08:45  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c: Added a "Disable All Maps" button to the map menu.  You
        can quickly disable all map drawing with this, move around, then go
        back and enable maps.

2001-09-21 02:21  we7u

        * config/language-English.sys, src/main.c: Changed Stations menu a
        bit.  All related options grayed-out when Symbols are turned off. 
        Changes some of the text and placement slightly.

2001-09-20 03:27  n7tap

        * src/: db.c, util.c, util.h: Made readable the PHG for the station
        info box.  Disabled the default PHG circles for objects/items. 
        Other minor tweakage.

2001-09-20 03:26  n7tap

        * src/draw_symbols.c: Tweaked line width calculation as WE7U did
        for PHG circles.

2001-09-20 02:51  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys, src/db.c,
        src/draw_symbols.c, src/list_gui.c, src/main.c, src/main.h,
        src/util.c, src/xa_config.c: Fixed some comments that erroneously
        referred to knots instead of nautical miles.  Added a "Display
        Expired Data" togglebutton to the Stations menu.  This togglebutton
        allows display of PHG circles, speed, altitude, and weather data
        when the "ghosting" time has expired.

2001-09-19 23:43  we7u

        * src/: draw_symbols.c, util.c: Fixed PHG circles so they appear
        correct at all zoom levels.

2001-09-19 15:17  we7u

        * src/util.c: Fixed a problem with logging where Xastir didn't know
        where the base directory was.

2001-09-19 08:18  we7u

        * src/draw_symbols.c: More comments.  Changed rad to radius to make
        it clearer.

2001-09-19 08:16  we7u

        * src/util.c: Added a few comments to make things clearer.

2001-09-19 05:57  we7u

        * src/db.c: Added a default PHG circle of 3130 if no PHG is known
        for a station.  This is in accordance with the APRS spec.

2001-09-19 03:50  we7u

        * src/util.c: Change log_data() such that it won't log "# Tickle"
        strings anymore.  Those strings are used merely to keep a link
        active so that a socket won't die.

2001-09-14 07:36  we7u

        * src/main.c: Filling in Change Debug Level values with current
        values whenever the OK button is pressed.  Anything outside the
        range of 0-255 gets converted to 0.

2001-09-14 07:23  we7u

        * src/main.c: Change_debug_level dialog now has the current
        debug_level filled in when you open it.

2001-09-14 07:03  we7u

        * src/main.c: Added code behind the Change Debug Level menu option.

2001-09-10 05:36  we7u

        * config/language-English.sys: Changed "Set Auto reply message" to
        "Modify Auto reply message".

2001-09-10 05:32  we7u

        * src/: main.c, main.h, messages_gui.c: Fixed segfault caused when
        sending a message.

2001-09-01 19:44  dk7in

        * src/util.c: 
        Added support for multi-port KAM TNCs, extract port from path.

2001-08-31 21:30  dk7in

        * scripts/: icontable.pl, update_langfile.pl: [no log message]

2001-08-31 21:21  dk7in

        * scripts/icontable.pl: 
        Script to produce a symbol overview graphic

2001-08-31 21:14  dk7in

        * config/update_langfile.pl, scripts/update_langfile.pl: 
        Moved language file update script to script directory

2001-08-30 02:07  we7u

        * src/maps.c: Removing debug message.

2001-08-30 01:41  we7u

        * src/maps.c: Upp'ed the limit where the map grid switches from ten
        degree lines to one degree lines.  We now see grid lines at most
        zoom levels.  More useful.

2001-08-30 01:39  we7u

        * src/main.c: Removed a global variable that's not used here.

2001-08-29 07:53  we7u

        * help/help-English.dat: Additions/corrections by Reuven Gevaryahu,
        KB3EHW.

2001-08-29 07:48  we7u

        * src/: main.c, main.h, xa_config.c: Changes to menus to support
        togglebuttons.

2001-08-29 07:47  we7u

        * config/: language-Dutch.sys, language-English.sys,
        language-French.sys, language-German.sys, language-Italian.sys,
        language-Spanish.sys: Changes to support new togglebutton menus.

2001-08-29 03:04  we7u

        * src/main.c: File->Configure is now a tear-off menu as well.

2001-08-29 02:22  we7u

        * src/main.c: Re-worked Stations menu to have togglebuttons and
        option menus.

2001-08-28 16:33  we7u

        * src/main.c: More togglebuttons in the menus.

2001-08-28 15:46  we7u

        * config/language-English.sys: Small tweaks to go along with
        togglebutton menu changes.

2001-08-28 15:44  we7u

        * src/main.c: Changing some menu entries to togglebuttons.

2001-08-28 14:25  we7u

        * src/main.c: Fixing callback for menu path to the mouse popup.

2001-08-28 14:07  we7u

        * src/: main.c, main.h, messages_gui.c: Changing menus into options
        menus to correspond with the Motif way of doing things.  More to do
        yet.

2001-08-28 05:00  we7u

        * src/main.c: Made the main menu options all be tear-off menus. 
        Very cool.

2001-08-28 04:40  we7u

        * src/main.c: Fix to "Open Log File" dialog.  It now opens in the
        log directory every time.

2001-08-28 02:28  we7u

        * src/main.h: Bumped the transmitted revision level to 1.0.3.

2001-08-27 15:05  we7u

        * src/main.c: Changed middle mouse button to zoom out 2x WITH
        panning again.  Some users depend already on the panning function
        to reduce the number of screen redraws as they're moving around.

2001-08-27 14:43  we7u

        * src/main.c: A few changes to make the popup menu work with Motif.

2001-08-27 06:13  we7u

        * scripts/inf2geo.pl: Found out that the format in .inf files is
        DD.MM.MMMM, not DD.MM.SS as I had previously thought.  New code
        corrects this.

2001-08-27 05:58  we7u

        * scripts/inf2geo.pl: Added bounds checking for lat/long numbers.

2001-08-25 14:31  we7u

        * src/main.c: Correct zoom factors for selection box using drag
        functions of left mouse button.

2001-08-25 08:32  we7u

        * src/: main.c, maps.c: Changed mouse menus (a lot!).  Minor
        changes to maps.c regarding currently unused shapefile weather map
        stuff.  Mouse popup menu is now the right button.  Left button
        centers if you don't drag.  If you drag, it currently centers and
        zooms in by a factor of 2.  Middle button zooms out without panning
        by a factor of 2.

2001-08-24 06:27  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c: Moved language strings to proper sections of language
        files for the menu changes I just did.

2001-08-24 05:43  we7u

        * src/main.c: Moving some more menu items around.  File and
        Interfaces menus.

2001-08-24 02:12  we7u

        * src/main.c: Bounds checking for lat/lon for Items/Objects.

2001-08-24 00:31  we7u

        * src/interface.c: Added some comments that explained how path
        selection works for TNC interfaces.  It's a round-robin affair
        among the non-null entries.

2001-08-23 16:48  we7u

        * src/main.c: Slightly better formatting for Uptime.

2001-08-23 16:28  we7u

        * src/main.c: Change to "Open Log File" dialog so that it starts up
        by default in the ~/.xastir/logs directory.

2001-08-23 07:55  we7u

        * src/main.c: Tweak to make Xastir stop growing by 2 pixels each
        time it is invoked.  Sorry Rolf.

2001-08-23 06:40  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c: Moved "Uptime" from File to View menu.

2001-08-23 06:15  we7u

        * help/help-English.dat, src/main.c: Moved "Save Config Now!" down
        under Configure menu. --we7u Corrections to help file by Reuven
        Gevaryahu, KB3EHW.

2001-08-23 05:54  we7u

        * aclocal.m4, configure, configure.in, config/language-Dutch.sys,
        config/language-English.sys, config/language-French.sys,
        config/language-German.sys, config/language-Italian.sys,
        config/language-Spanish.sys, src/main.c: Added "Display Uptime"
        code.  Bumped the revision to 1.0.3 and transmitted string to
        APX103.

2001-08-23 04:35  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c: Moving more menus around.  Configure is now inside the
        File menu like it should be.  Also the start of a "Display Uptime"
        menu entry under File.  Moved queries under the Messages menu.

2001-08-23 03:32  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c: Linked mouse menu to bottom of map menu.  Tweaked
        language files to move some entries to the correct categories. 
        Added beginnings of a change- debug-level menu entry.  Added pan
        entries back to mouse menu.  Changed some hotkeys to other letters.

2001-08-22 00:56  n7tap

        * src/db.c: Use new values for grid square ambiguity.

2001-08-22 00:55  n7tap

        * src/draw_symbols.c: Replaced tabs with spaces in functions I
        touched/wrote.

2001-08-22 00:51  n7tap

        * src/draw_symbols.c: Added support to draw_ambiguity for grid
        squares.

2001-08-21 14:00  we7u

        * help/help-English.dat, src/db.c: Additions/corrections by Reuven
        Gevaryahu, KB3EHW.

2001-08-21 08:06  we7u

        * src/locate_gui.c: Removed unnecessary XmUpdateDisplay calls.

2001-08-21 08:05  we7u

        * src/: bulletin_gui.c, db.c, hostname.c, interface.c,
        interface_gui.c, list_gui.c, location_gui.c, main.c,
        messages_gui.c, track_gui.c, view_message_gui.c, wx_gui.c: Fixed
        compute_decorations code again.  Removed unnecessary
        XmUpdateDisplay calls.

2001-08-21 05:35  we7u

        * src/db.c: Fixed minor X warning when using automatically-updating
        Station_data dialog.

2001-08-20 06:16  ke4nfj

        * src/db.c: Destroy the parent of the form not just the form
        itself.

2001-08-17 06:49  we7u

        * config/language-English.sys, src/main.c: Moved some menu entries
        so that they make more sense.  Renamed "Display" menu entry to
        "Stations".

2001-08-17 06:10  we7u

        * src/main.c: Disabled menubar arrow buttons by default.  Formatted
        a few things differently in the sources.

2001-08-17 01:07  we7u

        * src/main.c: Tweak to space fill Item names to 3 characters if
        they're too short.

2001-08-16 02:37  n7tap

        * scripts/example_objects.log: Tweaked positions and some sizes
        after checking in different scaling based on Bob's equation.

2001-08-16 02:20  n7tap

        * src/draw_symbols.c: This change uses the same equation Bob uses
        in APRSdos.

2001-08-15 04:54  we7u

        * scripts/inf2geo.pl: Fixes added to swap lat/long if .inf file has
        them in a different order.  Convert routine simplified and slightly
        more robust.

2001-08-15 04:34  dk7in

        * src/db.c: 
        Month in comment at tracklog save corrected by one.

2001-08-15 03:04  we7u

        * src/db.c: Changed auto-updating of station_data dialog such that
        it is a global option and affects each new station_data dialog.

2001-08-15 02:58  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys, src/db.c,
        src/db.h, src/main.c: Added "Enable Automatic Updates" button to
        Station_data dialog.  Default is currently OFF each time you open
        the window.

2001-08-15 02:01  dk7in

        * src/maps.c: 
        Experimenting with vertical correction for Transverse Mercator
        projection.

2001-08-15 00:58  we7u

        * src/maps.c: Removed some tabs.  Lot's of them creeping in here
        and there.

2001-08-13 21:35  dk7in

        * src/: db.c, main.c: 
        Discard positions from trail that are delayed echoes.

2001-08-13 05:16  we7u

        * src/db.c: More grid square fixes by Reuven Gevaryahu, KB3EHW.

2001-08-13 04:47  we7u

        * help/help-English.dat, src/db.c, src/db.h: Doc file changes and
        initial support for grid square decoding by Reuven Gevaryahu,
        KB3EHW.

2001-08-10 19:57  we7u

        * help/help-English.dat: More changes by RZG.

2001-08-10 19:55  we7u

        * src/: list_gui.c, main.c, view_message_gui.c, wx_gui.c: More
        dialog tweaks.

2001-08-09 19:26  we7u

        * src/: db.c, main.c: More of the same fixes to dialogs (tab
        groups, default buttons, etc).

2001-08-09 19:00  we7u

        * src/interface_gui.c: Removed an unused variable.

2001-08-09 18:53  we7u

        * src/location_gui.c: Changes to dialogs to make them consistent,
        allow resizing where possible, set up proper tab groups and default
        selections.

2001-08-09 18:52  we7u

        * src/: bulletin_gui.c, interface_gui.c, list_gui.c, locate_gui.c,
        main.c, messages_gui.c, track_gui.c, view_message_gui.c: Many
        changes to dialogs to make them consistent, allow resizing where
        possible, set up proper tab groups and default selections.

2001-08-09 15:04  we7u

        * src/main.c: Changed View->Incoming Packet Data dialog to use
        rowcolumn widget, to be resizable width-wise, and to make the tab
        groups consistent.  Tab and arrow keys can now go through the
        various options, <SPACE> selects the radio buttons or activates the
        Close button.  Close button is the default when the dialog opens.

2001-08-09 13:33  we7u

        * src/main.c: Changed Map Chooser dialog to user rowcolumn widget
        for the buttons, made the OK button the default, put all the
        buttons into the tab group.  Select maps or activate buttons with
        the <SPACE> key.  Dialog isn't fixed in the horizontal direction
        anymore.  Tweaked the translation table in main().

2001-08-08 11:52  we7u

        * src/main.c: OK button is now the default in Map Chooser, but the
        <Enter> key doesn't activate it.  Don't know why yet.

2001-08-07 19:36  we7u

        * src/db.c: Attempting to fix the crash caused by the auto-updating
        Station Info dialog.

2001-08-07 17:31  we7u

        * src/: bulletin_gui.c, db.c, interface_gui.c, list_gui.c,
        locate_gui.c, location_gui.c, main.c, messages_gui.c, popup_gui.c,
        track_gui.c, view_message_gui.c, wx_gui.c: Changed to more
        descriptive names for widgets which should help in debugging when X
        blows up.  Changed titles in "About Xastir" and "Open Log File"
        dialogs.  Made those two dialogs appear on top of the app instead
        of at upper left corner.  Linked the help system to the help button
        in the "Open Log File" dialog.

2001-08-07 14:15  we7u

        * FAQ, README.1ST, help/help-English.dat: Additions/corrections by
        Reuven Gevaryahu, KB3EHW.

2001-08-07 12:41  we7u

        * config/tnc-startup.kam: And again.

2001-08-07 12:40  we7u

        * config/tnc-startup.kam: Again trying to fix RCS tag.

2001-08-07 12:39  we7u

        * config/tnc-startup.kam: Fixed RCS tag.

2001-08-07 12:38  we7u

        * config/: tnc-startup.kam, tnc-startup.kpc3, tnc-startup.sys:
        Changed comments only.

2001-08-01 18:35  we7u

        * src/: db.c, main.c: Tweaked busy_cursor calls to refer to
        appshell intead of dialogs.  This results in more consistent
        behavior.

2001-08-01 17:27  we7u

        * src/db.c: Fixed RAC/FCC lookups so they are persistent through
        Station Info dialog updates.

2001-08-01 16:57  we7u

        * src/db.c: Getting rid of some tab characters that crept in from
        somewhere and correcting the indentation for those sections.

2001-08-01 03:32  we7u

        * src/main.c: Patching a few small memory leaks.

2001-08-01 03:30  we7u

        * src/list_gui.c: Reformatted source slightly.  No real changes.

2001-08-01 03:29  we7u

        * src/lclint.script: Added datum.c

2001-07-31 19:30  we7u

        * src/: db.c, interface_gui.c, location_gui.c, main.c,
        messages_gui.c: Plugging some memory leaks by calling XmStringFree
        and XtFree at appropriate places.

2001-07-31 15:49  we7u

        * src/db.c: Added compute_decorations() which figures out the size
        of the window decorations and stores it in global variables. 
        Station_data() uses this to destroy/recreate the Station Info
        dialog at the same place on the screen each time.  Note:  There
        appears to be a memory leak in popups/dialogs.  Every 30 seconds I
        see my fvwm process eat up more memory because of the Station Info
        dialog updating.

2001-07-26 20:17  we7u

        * src/maps.c: Gets rid of white lines when drawing geotiff topo
        maps at some zoom levels.

2001-07-26 18:58  we7u

        * src/: db.c, db.h, main.c: Dynamically-updated Station Info
        dialog.  Couldn't get it to place the dialog in the same spot each
        time, due to the window decorations messing up the geometry
        returned from Motif calls.  I'll keep trying.  Window updates info
        each 30 seconds.  Henk should like this feature.

2001-07-26 13:31  we7u

        * config/language-English.sys, src/main.c: Added a "Disable PHG"
        toggle button to the Configure->Station dialog.

2001-07-26 05:01  we7u

        * src/main.c: Reduced the size of the Configure->Defaults dialog
        slightly.

2001-07-26 04:38  we7u

        * config/language-English.sys, src/main.c: Converted
        Configure->Station dialog's PHG to use radio buttons.

2001-07-25 17:31  we7u

        * src/main.c: Fix for comment terminator on Area Objects/Items.

2001-07-25 16:20  we7u

        * src/maps.c: Converted paths containing /usr/tmp to /var/tmp, to
        make them compatible with more flavors of Unix.

2001-07-25 15:18  we7u

        * src/maps.c: Small tweak to make "wget" files work across
        different users on the same machine.  Without this change the 2nd
        and later users will get permission errors while trying to use the
        same temp files in /usr/tmp.

2001-07-25 14:21  n7tap

        * src/db.c: Some tweaks to area object decoding.  1. Clear area
        object info if we get a packet for the same station that    no
        longer has the area object symbol.  2. Avoid losing "good" area
        object info if we receive a badly formatted    area object from the
        same station.

2001-07-25 12:36  n7tap

        * src/draw_symbols.c: Added code to limit the values being passed
        to the X drawing functions to 16 bit.  This is still not going to
        be completely correct for large/highly zoomed in objects, but it's
        a bit better.  For a little more info, see comment in draw_area.

2001-07-25 03:07  we7u

        * src/main.c: Moved lat_offset and lon_offset to the same order I
        had them earlier today.  Had mistakenly reversed them, but root of
        problem was actually in draw_symbols.c instead.  This is for Area
        Objects/Items.

2001-07-25 03:05  we7u

        * src/draw_symbols.c: Reversed sqrt_lat_offset and sqrt_lon_offset
        in formulas.  They were backwards.

2001-07-24 17:17  we7u

        * src/main.c: More minor fixes to Object->Modify dialog.

2001-07-24 15:59  we7u

        * src/main.c: More filling in of values for Object->Modify dialog.

2001-07-24 12:42  n7tap

        * src/db.c: Was not deleting the area object from the data
        extension field, nor the corridor width, if present.  Also, display
        distances in yards or meters below 1 mile or 1 km.

2001-07-24 04:10  we7u

        * src/main.c: Fix object and item to maximum length or less to
        avoid segfaults.  Fill in more of Object->Modify dialog with
        existing data.

2001-07-24 00:44  we7u

        * src/main.c: Set default values.  Fixed bug where repeated
        toggling of radio buttons messed up the logic.

2001-07-23 19:48  we7u

        * src/main.c: Adjusted width of input fields on Object->Create
        dialog.

2001-07-23 19:34  we7u

        * src/main.c: Fixed error in offsets for area object (had them
        reversed).  Make course/ speed not available if using area objects.
         Forced symbol to be the same as default when disabling area
        objects or signposts.

2001-07-23 18:27  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c: More slight changes to Create->Object dialog.  Now
        grey-out the Color-Fill toggle button if doing a line object. 
        Changed label for Corridors.

2001-07-23 17:53  we7u

        * help/help-English.dat: More great document updates by Reuven
        Gevaryahu, KB3EHW.

2001-07-23 01:26  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c: Fully operational Object/Item Create/Modify dialog,
        including signposts and generic options.

2001-07-22 12:02  we7u

        * src/main.c: Small tweak to Area Objects for the case where
        Corridor is not being used.

2001-07-22 11:48  we7u

        * src/main.c: Working Area Objects and Area Items.

2001-07-22 01:57  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c: More changes to Object->Create/Modify dialog.

2001-07-20 17:11  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c: More Object->Create/Modify dialog changes.  Still no
        back-end code to support the new functions.

2001-07-20 14:09  we7u

        * config/language-English.sys, src/main.c: More changes to
        Object->Create/Modify dialog.  Added Course/Speed.  Back-end code
        not written yet.

2001-07-20 12:43  we7u

        * help/help-English.dat: More great document updates by Reuven
        Gevaryahu, KB3EHW.

2001-07-20 12:42  n7tap

        * acinclude.m4, aclocal.m4, configure: ImageMagick support stuff
        was using escaped backticks (\`) to get cflags, etc. which would
        make that run at compile time instead of configure time which is
        not the way most configure scripts I've looked at do it and it
        wasn't working right anyway.

2001-07-20 03:34  we7u

        * src/main.c: Added some comments and debugging info.

2001-07-20 03:08  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        src/main.c: Working on support for creating/transmitting area
        objects.  This is just the menu support.  The back-end code isn't
        written yet.

2001-07-19 20:19  we7u

        * src/main.c: Start of code to generate area objects.

2001-07-19 19:46  we7u

        * src/main.c: Fix for deleting items.  It now calls the proper
        routine for Items and Objects, so that the transmitted string is
        correct for deleted ones.

2001-07-19 17:55  we7u

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys, src/db.c,
        src/db.h, src/list_gui.c, src/main.c, src/messages.c, src/util.c,
        src/util.h: Added support for creation/modification of Items. 
        Corrected Object code to allow any-case letters.  Changed flag from
        char to short in order to add the new flag ST_ITEM.

2001-07-19 05:15  we7u

        * scripts/inf2geo.pl: Wasn't converte 'S' and 'W' numbers into
        negative numbers.  Fixed now.

2001-07-19 04:55  we7u

        * scripts/inf2geo.pl: Tweaked to handle a few different
        upper/lowercase letters for both the INF extension and the GIF
        extension.  Should handle .INF/.inf/.Inf and .GIF/.gif/.Gif files
        now.  Better error messages.

2001-07-18 18:57  we7u

        * src/wx.c: Comment changes.

2001-07-18 18:18  n7tap

        * ChangeLog, src/db.c, scripts/example_objects.log,
        src/draw_symbols.c, src/draw_symbols.h: Area objects and items
        should now be in a state that should match what Bob Bruninga meant
        them to be.  scripts/example_objects.log defines some example area
        items near 50N 130W.

2001-07-18 17:40  we7u

        * src/wx.c: Fixed problem where empty weather data appears in
        Station Info box on a non-weather APRS setup.

2001-07-18 14:25  we7u

        * README.1ST, help/help-English.dat: More great document updates by
        Reuven Gevaryahu, KB3EHW.

2001-07-17 18:26  we7u

        * scripts/inf-convert.pl: Changed name to inf2geo.pl.

2001-07-17 18:25  we7u

        * scripts/inf2geo.pl: Initial commit for inf2geo.pl script. 
        Converts .inf files to .geo files.

2001-07-17 17:28  n7tap

        * src/maps.c: The extension for terraserver map files is .jpg not
        .gif.

2001-07-17 13:13  we7u

        * scripts/inf-convert.pl: Minor change to imagesize.

2001-07-17 13:04  we7u

        * src/wx.c: Changing some of the limits for the WX-200 weather
        station.

2001-07-17 12:26  we7u

        * src/wx.c: Checking total_rain for out-of-bounds numbers in WX-200
        decoding, and added some notes w.r.t. wx200d and the WX-200 code.

2001-07-17 12:00  we7u

        * scripts/inf-convert.pl: First CVS version of the .INF file
        converter.

2001-07-14 20:49  we7u

        * src/wx.c: Added another out-of-range check for Dew Point and the
        WX-200 weather station.

2001-07-14 20:09  we7u

        * src/wx.c: Checking for out-of-range numbers for a few parameters
        on a wx-200 weather station.

2001-07-14 17:50  we7u

        * src/wx.c: Fixed wind gust queue so I read all 5 buckets instead
        of just 4.  Rounded all of the numbers for display or transmission
        instead of truncating.

2001-07-14 14:08  we7u

        * src/wx.c: Yet another rain fix.

2001-07-14 13:44  we7u

        * src/wx.c: Added some temporary debugging output to help get rain
        totals fixed.

2001-07-14 13:41  we7u

        * src/db.c: Increased height of Station Info dialog to accomodate
        weather info without scrolling.

2001-07-14 03:34  we7u

        * src/: main.c, wx.c, wx.h: More tweaks to rain totals.

2001-07-14 02:41  we7u

        * src/: main.c, wx.c, wx.h: Fixes for WX rain data.  Necessitated
        by the fact that wx200d daemon doesn't send us regular updates.  We
        now call compute_rain() from main.c:UpdateTime() on a regular
        basis, which keeps the rain queues cycling the way we need them to.

2001-07-13 17:02  we7u

        * src/maps.c: Minor:  Changed one debug message.

2001-07-13 16:54  we7u

        * src/maps.c: Small tweak to make sure Xastir doesn't get killed if
        the filename doesn't exist when passed to ImageMagick's ReadImage
        function.

2001-07-13 14:39  we7u

        * src/wx.c: More changes to weather.  Hourly rain totals.

2001-07-13 04:47  we7u

        * src/wx.c: Another tweak to rain totals.  Changed for loop to a
        while.

2001-07-13 04:26  we7u

        * src/: db.h, wx.c: Another re-do of the weather rain code.

2001-07-13 03:04  we7u

        * src/util.c: Tweak to the upper limit for height in PHG
        calculations.  Spec says there _is_ no upper limit.

2001-07-13 03:02  we7u

        * src/: festival.c, interface.c, lang.c, maps.c, popup_gui.c: Minor
        spelling adjustments.

2001-07-13 02:53  we7u

        * help/help-English.dat: More doc changes by Reuven Gevaryahu,
        KB3EHW.

2001-07-12 17:30  we7u

        * src/wx.c: Another tweak to help with debugging rain code.

2001-07-12 17:29  we7u

        * src/wx.c: Tweaked weather code to display out-of-range values as
        r..." or similar.  This should help me to figure out what's wrong
        with the rain code.

2001-07-12 16:00  we7u

        * src/util.c: More fixes to PHG.

2001-07-12 15:54  we7u

        * src/: draw_symbols.c, util.c: Some parameter checking for phg
        stuff.

2001-07-12 13:27  we7u

        * src/util.c: Corrected compressed mode pre-calculated radio range,
        as suggested by John Williams, VK5ZTY.

2001-07-11 12:15  n7tap

        * src/db.c: if (debug_level & 2) for area object printing.

2001-07-11 11:07  n7tap

        * acinclude.m4, aclocal.m4, configure: Fixed problem with first
        call to Magick-config

2001-07-11 11:03  n7tap

        * src/datum.c: After email from Peter Dana, set WGS 72 to 0,0,0

2001-07-11 01:57  we7u

        * src/db.c: More bulletproofing of raw GPS string decoding
        routines.

2001-07-11 01:54  we7u

        * src/gps.c: A slight bit of bulletproofing for the GPS serial
        decode routines.

2001-07-10 20:17  we7u

        * src/db.c: More bulletproofing for GPGGA/GPRMC/GPGLL decoding.

2001-07-10 20:13  n7tap

        * ChangeLog, README.1ST, src/Makefile.am, src/Makefile.in,
        src/datum.c, src/datum.h, src/maps.c: Added Terraserver
        photographic map support.  Required the addition of lat/lon to/from
        UTM translation and while I was at it, I added datum translation
        ability directly to Xastir so we should be able to lose libproj
        soon.  To use Terraserver maps, set it up like for tiger maps: make
        a .geo file with the keyword TERRASERVER.  Also allowed searching
        for .fgd files in a "Metadata" directory relative to the directory
        with the geoTIFF map.  Also turned off 2 anoying printings:
        shapefile loading and wget.

2001-07-10 19:34  n7tap

        * acinclude.m4, aclocal.m4, configure: Improved ImageMagick support
        finding.  As far as I know, versions above 5.2.0 should be good.

2001-07-10 17:24  we7u

        * src/db.c: We now just skip altitude if it's whacko in MIC-E
        packets, but process the rest of the packet.  Altitude would just
        not be reported.

2001-07-10 17:04  we7u

        * src/: db.c, xa_config.c: More bulletproofing for GPGGA decode. 
        Disabled some annoying debug messages in xa_config.c we probably
        won't need for a while.

2001-07-10 01:58  we7u

        * src/: db.c, db.h: Fixes a buffer overflow error when getting into
        negative or overly large altitudes.

2001-07-09 15:04  we7u

        * config/: language-Dutch.sys, language-English.sys,
        language-French.sys, language-German.sys, language-Italian.sys,
        language-Spanish.sys: Removed "(geoTIFF)" from Map Intensity menu
        option.

2001-07-09 14:54  we7u

        * src/db.c: Fixes to prevent whacko altitude in MIC-E packets from
        causing segfaults.  The errant packets are now dropped.

2001-07-09 14:31  kg4ijb

        * src/main.c: fixed broke unit conversion routine - my bad

2001-07-09 13:37  we7u

        * README.1ST, help/help-English.dat: More great document updates by
        Reuven Gevaryahu, KB3EHW.

2001-07-09 13:06  kg4ijb

        * src/main.c: Fixed Xbae version string

2001-07-09 11:01  dk7in

        * help/help-English.dat: 
        Display Weather Info, small correction

2001-07-09 11:00  dk7in

        * src/: db.c, interface.c: 
        Object comment was truncated, changed trail storage.

2001-07-06 17:08  we7u

        * src/: db.c, xa_config.c: Minor fixes to string handling.

2001-07-06 15:27  we7u

        * src/wx.c: Got rid of unnecessary "* 100" in value-checking code
        (rain).

2001-07-06 14:15  we7u

        * README.1ST, help/help-English.dat: Updates by Reuven Gevaryahu,
        KB3EHW.  _Very_ minor changes by we7u.

2001-07-06 04:25  we7u

        * src/wx.c: Simplified the rain totalling code again.  Fixed an
        incorrect constant that signified 10 inches of rain.

2001-07-04 13:40  dk7in

        * config/language-English.sys: 
        Show digis that echo my transmission.

2001-07-04 13:39  dk7in

        * src/: db.c, db.h, util.c, util.h: 
        Don't store all echoes from digis in database.

2001-07-03 19:06  dk7in

        * src/: db.c, db.h, main.c: 
        Added flag for stations heard direct

2001-07-03 12:04  dk7in

        * src/: db.c, main.c, main.h: 
        Modifying tracklog processing.

2001-07-03 10:05  dk7in

        * src/db.c, src/db.h, config/language-English.sys: 
        Added altitude, speed and course to tracklogs.

2001-07-02 16:27  dk7in

        * config/language-English.sys: 
        Beautifying an entry

2001-07-02 15:47  n7tap

        * src/draw_symbols.c: Added in range checks to draw_area

2001-07-02 15:39  dk7in

        * src/db.c: 
        Enhanced color selection for dots in trails.

2001-07-01 14:04  dk7in

        * config/language-English.sys: 
        Exporting tracklogs to file.

2001-07-01 13:55  dk7in

        * src/: db.c, main.c, util.c, xastir.h: 
        Exporting tracklogs to file.

2001-06-30 23:25  kg4ijb

        * src/main.h: adjust tocall -> 1.0.2

2001-06-30 07:38  we7u

        * src/wx.c: More robust wind gust and hourly rain calculations.

2001-06-30 05:50  we7u

        * src/wx.c: Some cleanup to the rain totals code.

2001-06-29 19:40  n7tap

        * config/xastir.rgb, src/color.h, src/db.c, src/db.h,
        src/draw_symbols.c, src/draw_symbols.h, src/main.c, src/xastir.h:
        Added preliminary support for drawing area objects.  The only ones
        I know for sure how to draw are boxes and lines.  I have not
        received information from the aprsspec list on how to handle
        circles, ellipses and triangles yet.  The filled boxes and the
        already existing ambiguity box are now being drawn with a stipple
        pattern instead of an | or whatever math operation.  This does a
        better job of transparency.

2001-06-29 17:38  ke4nfj

        * src/: db.c, fcc_data.c, fcc_data.h, main.c, rac_data.c,
        rac_data.h: Allow FCC & RAC data to be added while XASTIR is
        active.

2001-06-29 17:17  we7u

        * config/language-English.sys: Formatting some of the weather stuff
        nicely.

2001-06-29 13:35  we7u

        * src/: db.c, db.h, wx.c, wx_gui.c: More weather fixes.  These
        concern rain.

2001-06-28 19:34  we7u

        * src/wx.c: More weather fixes.  The one-hour rain total is now a
        rolling total over the last hour, instead of resetting to zero at
        the beginning of each hour.

2001-06-28 18:37  we7u

        * src/wx.c: Fixes to compute_rain().  More to come.

2001-06-28 17:48  we7u

        * src/wx.c: Fixes wind gust code.  Better implementation than the
        original.

2001-06-28 15:54  we7u

        * src/wx.c: More WX fixes.  This time to wind gust calculations.

2001-06-28 14:02  we7u

        * src/wx.c: Simplified some code and added header blocks to
        functions.

2001-06-28 11:52  we7u

        * config/: language-Dutch.sys, language-French.sys,
        language-German.sys, language-Italian.sys, language-Spanish.sys:
        Fixing up some field specifiers to match the weather fixes
        submitted yesterday.  --we7u

2001-06-28 07:30  dk7in

        * src/db.c: 
        Showing trail points in trail.

2001-06-28 04:08  we7u

        * config/language-English.sys, src/db.c, src/list_gui.c,
        src/maps.c, src/wx.c, src/wx_gui.c: More weather fixes.  Hundredths
        of an inch are now shown as such.  --we7u

2001-06-27 19:08  we7u

        * configure, configure.in, config/language-English.sys, src/wx.c:
        Weather fixes.  Bumped rev number up to 1.0.2 also.  --we7u

2001-06-27 15:27  we7u

        * src/db.h: Minor tweak preparing for more accuracy in total rain. 
        --we7u

2001-06-26 16:37  we7u

        * src/: main.h, maps.c: Added the capability of snagging history
        data from findu.com.  Create a .geo file with "FINDU" as one line,
        and "CALL we7u-12" (or whatever call you wish) as the second line,
        select that map, and Xastir will grab two weeks of data for that
        callsign from findu and import it as if it were a logfile.  --we7u

2001-06-26 14:50  we7u

        * src/: bulletin_gui.c, db.c: Now check for null pointers before
        checking string length on input parameters.  --we7u

2001-06-25 14:40  ke4nfj

        * ChangeLog: Initial Palm map support.

2001-06-25 14:37  ke4nfj

        * src/maps.c: Add initial support for Palm maps.

2001-06-19 02:24  we7u

        * src/maps.c: Still whittling away at Shapefile support for weather
        alert maps.  Not there yet, but closer.  --we7u

2001-06-18 17:22  we7u

        * src/: main.c, interface.c: More fixes for too many open sockets. 
        --we7u

2001-06-18 14:59  we7u

        * src/interface.c: An attempt to fix the "too many open sockets"
        problem.  Close an interface before opening a new connection. 
        --we7u

2001-06-14 16:40  n7tap

        * src/db.c: Fix so that extract_speed_course does not attempt to
        decode the area object extension which can look exactly like it. 
        What differentiates it is the symbol \ with l is used for area
        objects.

2001-06-14 13:02  n7tap

        * src/draw_symbols.c: Empirically changed the value to make the
        radius of the circles more correct.  For a little more info see
        post to xastir-dev.  --N7TAP

2001-06-12 13:10  we7u

        * src/: db.c, db.h, draw_symbols.c, main.c: Fixed up "my_station"
        ambiguity.  Rounding patch for Festival.  Submitted by Olivier
        Calle, N7TAP.  --we7u

2001-06-11 18:33  ke4nfj

        * src/alert.c: Update comment to describe alert_tag.

2001-06-09 15:31  we7u

        * config/language-English.sys, src/main.c: Added another mouse menu
        item for "Object -> Modify", and changed "Create New Object" to
        "Object -> Create".  Added a separator line also.  This new menu
        item doesn't really do anything new.  It's just another entry point
        into the Station Info dialog, but is easier to find in the menus
        when you wish to modify an item.  --we7u

2001-06-09 14:59  we7u

        * src/interface.c: Got rid of extra linefeed when writing
        transmitted data to log files.  --we7u

2001-06-09 14:51  we7u

        * src/: interface.c, main.c: More Object stuff:  If the Object
        dialog is up and we choose Modify Object from the Station Info
        dialog, it kills/recreates the Object dialog so that the data gets
        filled in.  Also added logging into the TNC and INET log files for
        objects my station transmits, as long as those logging options are
        enabled in the menus.  --we7u

2001-06-09 13:50  we7u

        * config/language-English.sys, src/db.c, src/db.h, src/main.c:
        Improved Object menus.  Delete button is gone from Create Object
        menu, Modify Object menu now fills in ALL parameters from original
        object, including lat/lon.  Create Object menu comes up with empty
        or default values for all.  --we7u

2001-06-09 02:01  we7u

        * config/language-English.sys, src/db.c, src/db.h, src/main.c:
        Working "Modify Object" changes.  If Station Info dialog is brought
        up on and object, the "Send Message" button changes to "Modify
        Object", which brings up the "Object" dialog when pressed and
        allows changes to be made.  --we7u

2001-06-08 20:23  we7u

        * config/language-English.sys, src/db.c: The beginnings of adding
        object->modify stuff to the Station Info dialog.  --we7u

2001-06-08 17:29  we7u

        * src/interface.c: Placed new code at better location in routine. 
        Appears to work well now.  --we7u

2001-06-08 15:58  we7u

        * src/interface.c: Mod which lets us listen to our own packets,
        display objects without interfaces being up, etc.  --we7u

2001-06-08 13:56  we7u

        * config/language-English.sys, config/language-French.sys,
        config/language-Spanish.sys, src/db.c, src/db.h,
        src/draw_symbols.c, src/draw_symbols.h, src/main.c, src/main.h,
        src/xa_config.c: Support for RNG0000 (a hardcoded range instead of
        PHG).      This may not be quite the correct radius at the
        moment...  Change to draw station in center of ambiguity instead of
        at one corner.  Support to draw a sorta tinted rectangle that
        represents the ambiguity.  Support to enable/disable ambiguity
        drawing.  Changes submitted by Olivier Calle, N7TAP --we7u

2001-06-07 19:48  we7u

        * src/maps.c: More on weather alert shapefiles.  Not functional
        yet.  --we7u

2001-06-07 19:46  we7u

        * src/alert.c: Added some comments.  --we7u

2001-06-07 03:03  we7u

        * src/maps.c: Adding comments to alert map code.  --we7u

2001-06-07 01:16  we7u

        * src/wx.c: Removed some unsigned long casts where the readings
        could be negative numbers.  --we7u

2001-06-06 14:14  we7u

        * config/language-English.sys, config/language-French.sys,
        config/language-Spanish.sys, src/db.c, src/db.h: Add ITEM
        capability and some metric tweaks for Festival.  Changes submitted
        by Olivier Calle, N7TAP.  --we7u

2001-06-06 14:12  we7u

        * src/maps.c: Tweak to Shapefile routine:  Closing file descriptors
        I left open.  --we7u

2001-06-05 18:00  we7u

        * src/maps.c: Added labels for rivers, roads, lakes for Shapefile
        maps.  Shapefile maps now have all the basic functionality.  --we7u

2001-06-05 15:44  we7u

        * src/maps.c: Another shapefile tweak.  Now draws polylines closer
        to the edge of the screen.  --we7u

2001-06-05 14:55  we7u

        * src/maps.c: Color tweak for Shapefiles.  --we7u

2001-06-05 13:33  we7u

        * src/maps.c: Fixes for shapefile polygons.  --we7u

2001-06-05 04:04  we7u

        * src/maps.c: Shapefile road maps, lakes, and streams improvements.
         --we7u

2001-06-04 19:16  we7u

        * src/maps.c: Added more debugging output for ESRI Shapefile
        format.  --we7u

2001-06-04 14:42  we7u

        * configure, configure.in: Bumped the version number to 1.0.1. 
        --we7u

2001-06-04 03:01  we7u

        * src/maps.c: More shapelib tweaks.  --we7u

2001-06-02 21:46  we7u

        * src/maps.c: MUCH more functional polygon shapefiles.  Now skips
        the entire file if none of the shapes are in the viewport, skips
        shapes if they're not in the viewport, and draws polygon shapefiles
        properly.  --we7u

2001-06-01 16:35  we7u

        * src/main.c: Small tweak to make a slackware compiler do the right
        thing.  --we7u

2001-06-01 11:48  we7u

        * src/maps.c: An attempt at fixing up the color problems with
        ImageMagick libraries between various systems.  --we7u

2001-05-31 17:01  we7u

        * src/maps.c: And some more...  (visuals stuff).  --we7u

2001-05-31 16:58  we7u

        * src/maps.c: More debugging info for X Visuals.  --we7u

2001-05-31 16:46  we7u

        * src/maps.c: More code added:  Getting ready for Shapefile weather
        alert maps, but not implemented yet.  Added debugging output for
        computing X Visual display class, to help in getting the colors and
        color_depth right for ImageMagick.  --we7u

2001-05-30 10:50  ke4nfj

        * src/: main.c, main.h, xa_config.c: Add Festival Speech for New
        Weather Alerts.

2001-05-29 12:22  we7u

        * src/db.c: Added a return value that was causing a compiler
        warning.  --we7u

2001-05-28 03:17  we7u

        * src/maps.c: Fixed stupid error I introduced with the temporary
        chmod.  --we7u

2001-05-25 19:14  we7u

        * src/: db.c, db.h: More fixes for long packets.  --we7u

2001-05-25 14:38  we7u

        * src/: db.c, bulletin_gui.c: Latest fix for
        yet-another-killer-packet.  Fixes a segfault in bulletin_message()
        and adds more debugging info in other places.  --we7u

2001-05-24 16:01  we7u

        * src/maps.c: Minor change to allow multiple users to use the same
        ImageMagick temp file.  Not a good solution long-term, but useful
        at this point.  --we7u

2001-05-24 10:38  ke4nfj

        * ChangeLog: [no log message]

2001-05-24 10:35  ke4nfj

        * src/main.c, config/language-English.sys: Add Test as command line
        debug function & include Loading Weather Maps prompt into Language
        file.

2001-05-24 10:31  ke4nfj

        * ChangeLog: Add notation for DOS Line map fix.

2001-05-23 21:32  ke4nfj

        * src/maps.c: Fix change put in when fixing lint chanes.

2001-05-23 14:44  ke4nfj

        * src/maps.c: Fix unsigned char for DOS Line maps introduced when
        someone added lint.

2001-05-18 14:13  we7u

        * src/db.c: Fixed latest killer packet problem.  --we7u

2001-05-17 16:09  ke4nfj

        * src/db.c: Change over compile time debug logic to command line
        debug action.

2001-05-17 16:05  ke4nfj

        * src/alert.c: Clean up logic for deleting expired alerts. No need
        to redraw screen.

2001-05-15 11:16  we7u

        * config/language-Spanish.sys, help/help-Spanish.dat: Spanish
        language changes by Jose R. Marte A., hi8gn --we7u

2001-05-14 12:32  we7u

        * TODO: Added new level 2 bug submitted by vk3aym.  --we7u

2001-05-09 12:27  we7u

        * README.1ST: Added blurbs about Shapelib and ImageMagick, online
        Tiger maps and NOAA weather radar maps.  --we7u

2001-05-09 04:17  we7u

        * src/maps.c: Cleaner shapefile code (less debugging output). 
        --we7u

2001-05-09 04:01  we7u

        * src/maps.c: Shapefile PolyLines are starting to work.  --we7u

2001-05-09 01:35  we7u

        * acinclude.m4, aclocal.m4, configure: Tweaks to configure to look
        for ImageMagick libs in /usr/lib and /usr/local/lib and to set
        paths appropriately.  --we7u

2001-05-08 19:27  we7u

        * src/maps.c: More Shapefile stuff.  --we7u

2001-05-08 18:09  we7u

        * src/maps.c: More Shapefile fixes.  Not fully functional yet, but
        soon! --we7u

2001-05-08 18:08  dk7in

        * src/main.h: 
        Sorry, forgot this one...

2001-05-08 17:53  dk7in

        * src/: db.c, main.c, maps.c, xa_config.c, xastir.h: 
        Map labels On/Off, Short speed display, Temp-only Wx display,
        display menu reorg

2001-05-08 17:50  dk7in

        * config/language-English.sys: 
        Map labels switch, short speed display, reorg of display menu.

2001-05-08 14:25  we7u

        * src/maps.c: Tweaks to Shapelib support.  Starting to work now for
        polygon shapefiles.  --we7u

2001-05-08 12:21  we7u

        * acinclude.m4, aclocal.m4, configure, configure.in, src/main.c,
        src/maps.c: Changes for autoconf support of ImageMagick and
        Shapelib.  --we7u

2001-05-07 19:13  we7u

        * src/db.c: Small tweak to track colors submitted by Rolf.  --we7u

2001-05-07 16:37  we7u

        * src/: main.c, maps.c: Tweaks for compiling with various
        USE_IMAGEMAGICK and USE_SHAPELIB configurations fixed.  --we7u

2001-05-07 14:41  we7u

        * src/maps.c: Default for USE_SHAPELIB should be off.  --we7u

2001-05-07 14:11  kg4ijb

        * help/help-English.dat: fixed typo in help->index->notes from the
        authors

2001-05-07 14:01  dk7in

        * src/: igate.c, main.c, maps.c, util.c, xastir.h: 
        I first saw no changes, but then Curt was faster and I had to
        merge...  He already uploaded my changes for map scaling and the
        ruler.  Corrected scanf error which uses "," instead of "." at map
        init.  First support for topo maps (latitude depending scaling in
        x) Added optional decimal degrees to status line (need that for
        testing)

2001-05-07 13:17  we7u

        * src/: db.c, draw_symbols.c, draw_symbols.h, hostname.c,
        list_gui.c, location.c, location_gui.c, main.c, main.h, maps.c,
        util.c, util.h, xa_config.c, xastir.h: Track color changes - Rolf
        Bleher, DK7IN X/Y Scaling - Rolf Bleher, DK7IN Map scale on screen
        - Rolf Bleher, DK7IN Additions to zoom menu - Rolf Bleher, DK7IN
        ImageMagick library - Jim Chandler, N0VH ESRI Shapefile format
        (preliminary, Polygons only) - Curt Mills, WE7U Solaris include
        file tweak - Curt Mills, WE7U Hope I didn't forget anything.

2001-05-04 15:02  we7u

        * help/help-English.dat: Correct misspelling of Xastir.  --we7u

2001-05-03 18:21  we7u

        * config/Makefile.in: New version after running automake.  Includes
        three new tnc startup files.  --we7u

2001-05-03 18:18  we7u

        * config/Makefile.am: Changed spelling error on tnc-startup.thd7
        --we7u

2001-05-03 16:35  kg4ijb

        * ChangeLog: Rebuild

2001-05-03 16:25  kg4ijb

        * config/Makefile.am: add tnc-startup.kpc3 and th7d

2001-05-03 16:10  kg4ijb

        * AUTHORS, FAQ, aclocal.m4, configure, config/language-Dutch.sys,
        config/language-English.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        config/tnc-startup.kam, config/tnc-startup.kpc3,
        config/tnc-startup.thd7, config/tnc-stop.sys,
        help/help-Italian.dat, m4/Makefile.in: branch-1-0 merge

2001-05-03 16:04  kg4ijb

        * src/: draw_symbols.c, interface.c, interface.h, interface_gui.c,
        rac_data.c: branch-1-0 merge

2001-05-03 15:31  kg4ijb

        * config/tnc-startup.thd7: file tnc-startup.thd7 was initially
        added on branch branch-release-1-0.

2001-05-03 15:31  kg4ijb

        * config/: tnc-startup.kpc3, tnc-startup.thd7: New TNC init
        files... not test fully - kg4ijb

2001-05-03 15:31  kg4ijb

        * config/tnc-startup.kpc3: file tnc-startup.kpc3 was initially
        added on branch branch-release-1-0.

2001-05-02 12:21  we7u

        * README.1ST: Another slight festival tweak.  --we7u

2001-05-02 12:18  we7u

        * help/help-English.dat: Changes for Festival by Ken Koster, N7IPB.
         --we7u

2001-05-02 12:18  we7u

        * README.1ST: Changed for Festival by Ken Koster, N7IPB.  --we7u

2001-05-01 21:25  kg4ijb

        * AUTHORS: sort

2001-05-01 18:30  we7u

        * AUTHORS: Was it alphabetical order before?  I think not! --we7u

2001-05-01 14:31  kg4ijb

        * Makefile.in, configure, m4/Makefile.in: Pre-release version check

2001-05-01 12:59  kg4ijb

        * config/: tnc-startup.kam, tnc-startup.kam: [no log message]

2001-05-01 12:54  kg4ijb

        * config/: tnc-startup.kam, tnc-startup.kam: typo

2001-05-01 12:53  kg4ijb

        * config/tnc-startup.kam: Typo

2001-05-01 12:40  kg4ijb

        * FAQ: Typo's fixed

2001-05-01 11:45  kg4ijb

        * src/: xa_config.h, xastir.h: Copyright and version cleaned up

2001-05-01 11:42  kg4ijb

        * config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        config/tnc-startup.kam, config/tnc-startup.sys,
        config/tnc-stop.sys, help/help-Italian.dat, src/alert.c,
        src/alert.h, src/bulletin_gui.c, src/bulletin_gui.h, src/color.c,
        src/color.h, src/db.c, src/db.h, src/draw_symbols.c,
        src/draw_symbols.h, src/fcc_data.c, src/fcc_data.h, src/gps.c,
        src/gps.h, src/hostname.c, src/hostname.h, src/igate.c,
        src/igate.h, src/interface.c, src/interface.h, src/interface_gui.c,
        src/lang.c, src/lang.h, src/list_gui.c, src/list_gui.h,
        src/locate_gui.c, src/location.c, src/location_gui.c, src/main.c,
        src/main.h, src/maps.c, src/maps.h, src/messages.c, src/messages.h,
        src/messages_gui.c, src/popup.h, src/popup_gui.c, src/rac_data.c,
        src/rac_data.h, src/sound.c, src/symbols.h, src/track_gui.c,
        src/track_gui.h, src/util.c, src/util.h, src/view_message_gui.c,
        src/wx.c, src/wx.h, src/wx_gui.c, src/xa_config.c: Copyright and
        version cleaned up

2001-05-01 10:33  kg4ijb

        * FAQ, Makefile.in, NEWS, README, aclocal.m4, changes.txt,
        configure, config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        config/tnc-startup.kam, config/tnc-startup.sys,
        help/help-Dutch.dat, help/help-English.dat, help/help-French.dat,
        help/help-German.dat, help/help-Italian.dat, help/help-Spanish.dat,
        m4/Makefile.in, src/alert.c, src/alert.h, src/bulletin_gui.c,
        src/bulletin_gui.h, src/color.c, src/color.h, src/db.c, src/db.h,
        src/draw_symbols.c, src/draw_symbols.h, src/fcc_data.c,
        src/fcc_data.h, src/gps.c, src/gps.h, src/hostname.c,
        src/hostname.h, src/igate.c, src/igate.h, src/interface.c,
        src/interface.h, src/interface_gui.c, src/lang.c, src/lang.h,
        src/list_gui.c, src/list_gui.h, src/locate_gui.c, src/location.c,
        src/location_gui.c, src/main.c, src/main.h, src/maps.c, src/maps.h,
        src/messages.c, src/messages.h, src/messages_gui.c, src/popup.h,
        src/popup_gui.c, src/rac_data.c, src/rac_data.h, src/sound.c,
        src/symbols.h, src/track_gui.c, src/track_gui.h, src/util.c,
        src/util.h, src/view_message_gui.c, src/wx.c, src/wx.h,
        src/wx_gui.c, src/xa_config.c, src/xa_config.h, src/xastir.h: Lots
        of minor changes.  Mostly version numbers, copyright info, etc...

2001-04-30 22:02  kg4ijb

        * ChangeLog: Pre-release check

2001-04-30 21:33  kg4ijb

        * src/main.c: Pre-release check

2001-04-30 21:32  kg4ijb

        * src/main.h: Pre-Release check

2001-04-30 21:29  kg4ijb

        * configure.in: Pre-Release check

2001-04-30 20:21  kg4ijb

        * acinclude.m4: Added libc_r for *BSD'ers

2001-04-30 16:53  kg4ijb

        * src/main.c: checked`

2001-04-30 16:53  kg4ijb

        * src/db.c: quite compile

2001-04-30 16:50  kg4ijb

        * NEWS, README.1ST: Checked

2001-04-30 16:49  kg4ijb

        * TODO: [no log message]

2001-04-30 16:44  kg4ijb

        * FAQ: Re-Written and cleaned up

2001-04-30 15:10  we7u

        * help/help-English.dat: More updates by Reuven Gevaryahu, KB3EHW. 
        --we7u

2001-04-30 15:09  we7u

        * config/language-Spanish.sys, help/help-Spanish.dat: Updated
        Spanish help and language files from Jose R. Marte A., HI8GN. 
        --we7u

2001-04-30 14:57  we7u

        * src/main.c: Henk de Groot's changes to allow longer machine names
        in the title bar.  --we7u

2001-04-29 15:55  dk7in

        * TODO: 
        update

2001-04-29 13:10  dk7in

        * help/: help-English.dat, help-German.dat: 
        New German help file, corrections in English help file.

2001-04-28 23:14  kg4ijb

        * config/language-Dutch.sys: Modifications by Henk de Groot

2001-04-28 14:18  dk7in

        * src/main.c, config/xastir.rgb: 
        Cleaning up colors.

2001-04-27 13:49  dk7in

        * src/draw_symbols.c: 
        Don't show PHG for old (ghosted) stations.

2001-04-25 12:26  dk7in

        * src/db.c: 
        Undefine objects if a call later has the same name.

2001-04-24 19:55  we7u

        * src/maps.c: More preparation for later integration of ImageMagick
        libs.  Still no effect on the current code.  --we7u

2001-04-24 18:59  we7u

        * src/maps.c: Preparation for ImageMagick.  Still no effect on the
        current code due to ifdef's.  --we7u

2001-04-24 18:34  we7u

        * src/main.c: Preparation for adding ImageMagick libraries to
        Xastir.  Won't affect current code due to ifdef's.  --we7u

2001-04-24 17:34  we7u

        * src/: alert.c, bulletin_gui.c, color.c, db.c, draw_symbols.c,
        fcc_data.c, gps.c, igate.c, interface.c, interface_gui.c, lang.c,
        list_gui.c, locate_gui.c, location.c, location_gui.c, messages.c,
        messages_gui.c, popup_gui.c, rac_data.c, sound.c, track_gui.c,
        util.c, view_message_gui.c, wx.c, wx_gui.c, xa_config.c,
        hostname.c, main.c, main.h, maps.c: Updated copyright notices. 
        --we7u

2001-04-24 17:27  we7u

        * src/: alert.h, bulletin_gui.h, color.h, db.h, draw_symbols.h,
        fcc_data.h, gps.h, hostname.h, igate.h, interface.h, lang.h,
        list_gui.h, maps.h, messages.h, popup.h, rac_data.h, symbols.h,
        track_gui.h, util.h, wx.h, xa_config.h, xastir.h: Updating
        copyright notices and adding CVS tags.  --we7u

2001-04-23 14:37  we7u

        * src/list_gui.c: Changes to fix list dialogs on Solaris. 
        --Submitted by Chris Bell, KD6ZWR

2001-04-23 14:08  kg4ijb

        * src/db.c: test commit

2001-04-23 09:22  dk7in

        * src/: db.c, util.c, util.h: 
        Changed handling of 0N/0E position.

2001-04-23 02:13  we7u

        * TODO: Added a new bug, moved two bugs into the resolved section. 
        --we7u

2001-04-22 19:47  dk7in

        * src/util.c: 
        Declare 0N/0E as undefined too, #define ACCEPT_0N_0E in util.c

2001-04-21 21:51  dk7in

        * src/db.c: 
        Added number size checking for XDrawLine call

2001-04-21 20:42  dk7in

        * TODO: 
        Update

2001-04-21 20:38  dk7in

        * config/: language-English.sys, language-German.sys,
        update_langfile.pl: 
        Rework of English language file, translated most entries in German
        language file. Small correction in language file Perl script.

2001-04-21 08:48  dk7in

        * src/db.c: 
        Forgot to change a subroutine accordingly for new trail drawing.

2001-04-21 07:46  dk7in

        * src/: db.c, main.c: 
        Changed trails shown from off-screen stations. Changed file load
        and redraw.

2001-04-19 11:15  dk7in

        * TODO: 
        Update...

2001-04-19 01:26  we7u

        * src/: bulletin_gui.c, view_message_gui.c: Add buttons to
        immediately change range in View->Bulletins and
        View->Message_Traffic dialogs.  They just screamed for that. 
        Couldn't help myself.  --we7u

2001-04-18 20:32  we7u

        * config/language-English.sys, src/bulletin_gui.c: Added Change
        Range button to dialog.  --we7u

2001-04-18 18:11  we7u

        * src/: db.c, bulletin_gui.c: Moved bulletin decoding earlier in
        the messages decoding (not sure if it helped or not).  Added
        comments in bulletin_gui.c:bulletin_message() function.  --we7u

2001-04-18 15:18  we7u

        * README.1ST: Corrected lingo a bit.  --we7u

2001-04-18 15:17  we7u

        * config/language-English.sys, config/language-Spanish.sys,
        help/help-Spanish.dat, src/db.c: Updates to English and Spanish
        language files, Spanish help file, and conversion of some
        hard-coded strings in db.c to multi-lingual format.  --Submitted by
        Jose R. Marte A., hi8gn.

2001-04-18 11:25  dk7in

        * symbols/symbols.dat: 
        Changed a few more symbols. Added comment to start of file.

2001-04-18 09:45  dk7in

        * symbols/symbols.dat: 
        Rework of the Jeep symbol (for Curt!)

2001-04-17 12:40  dk7in

        * config/update_langfile.pl: 
        New Perl script for updating translated language files.

2001-04-17 02:52  we7u

        * src/db.c: Increased the delay for updating the Send Message
        window from 2 to 5 seconds to make it APPEAR to be better.  When
        messages are reworked into linked lists the Send Message window can
        be reworked correctly.  Also added some comments about things that
        could be done to update_messages() to make it better in the future.
         --we7u

2001-04-17 02:49  we7u

        * TODO: Updated status on two entries.  --we7u

2001-04-16 19:58  we7u

        * src/: bulletin_gui.c, bulletin_gui.h, db.c, db.h, interface.c,
        interface.h, interface_gui.c, list_gui.c, list_gui.h, locate_gui.c,
        location_gui.c, main.c, main.h, messages.c, messages.h,
        messages_gui.c, popup.h, popup_gui.c, track_gui.c, track_gui.h,
        view_message_gui.c, wx_gui.c, xastir.h: Initial attempt at adding
        mutex locks to protect the dialogs.  --we7u

2001-04-15 11:13  we7u

        * src/: interface.c, interface_gui.c, main.c, util.c, wx.c: More
        mutex lock decoding.  Fixed interface_control dialog so that it
        appears above the main program (instead of 0,0 on the screen). 
        --we7u

2001-04-15 11:09  we7u

        * src/db.c: Get's rid of "Should adjust altitude for meters"
        message for GPGGA packets.  --we7u

2001-04-14 01:44  we7u

        * src/: interface.c, interface.h, interface_gui.c, main.c, util.c,
        util.h, wx.c: More on mutexes: Added return value to new
        critical_section functions in util.c and code to use these return
        values elsewhere.  --we7u

2001-04-13 10:21  we7u

        * FAQ, help/help-English.dat: Additions/corrections by Reuven
        Gevaryahu, KB3EHW.

2001-04-13 05:48  we7u

        * src/: hostname.c, interface.c, interface.h, interface_gui.c,
        main.c, util.c, util.h, wx.c: Changed sleep() to usleep() or
        sched_yield().  Converted from mutex to xastir_mutex.  Added new
        functions to util.c:init_critical_section(),
        begin_critical_section(), and end_critical_section().  They hide
        the mutex operations and, if using a Linux OS, provide needed
        error-checking if the MUTEX_DEBUG define is set in main.h.  --we7u

2001-04-12 14:23  we7u

        * src/util.c: Small change regarding mutex's.  Still much to do. 
        --we7u

2001-04-12 13:31  we7u

        * TODO: Added locale bug to list.  --we7u

2001-04-11 20:44  we7u

        * src/util.c: Commenting out functions that I'm working on (not
        finished coding them yet) --we7u

2001-04-11 18:50  we7u

        * src/util.c: More preparation for mutex's.  --we7u

2001-04-11 18:31  we7u

        * src/: util.c, util.h: Preparing for better semaphores.  --we7u

2001-04-11 13:26  we7u

        * TODO: Changed the format and descriptions a bit.

2001-04-11 03:25  we7u

        * src/: interface.c, interface_gui.c, main.c, util.c, util.h, wx.c:
        Implemented lock_resource() and unlock_resource() functions in
        util.c.  Converted rest of code to use these functions instead of
        using the pthread_mutex_(un)lock functions directly.  Soon to have
        more error checking in the two new routines.  --we7u

2001-04-10 18:00  we7u

        * src/festival.c: Got rid of uint32_t cast which causes problems on
        Red Hat Linux 5.2.  --we7u

2001-04-10 15:13  we7u

        * TODO: Initial checkin.  A few bugs and definitions defined.

2001-04-09 17:50  we7u

        * src/festival.c: More comments added.  'do' loop that waited for
        'ok' response removed.  Cleaned up escape processing.  Test for
        errno result from 'read' operation and re-opening of connection if
        it gets closed.  --Ken Koster, N7IPB

2001-04-09 04:57  we7u

        * src/: interface.c, interface_gui.c, main.c, main.h, wx.c: Added
        "#define MUTEX_DEBUG 1" to main.h, and lots of debug code to the
        mutex calls.  Also initializing connect_lock mutex now (wasn't
        initialized before) and got rid of extra mutex_unlock in
        interface_gui.c.  Still need to initialize all of the
        read_lock/write_lock mutex's for the interfaces.  --we7u

2001-04-09 00:00  we7u

        * src/: festival.c, interface.c: Removed casts to uint32_t in
        interface.c and festival.c.  They were causing problems on Redhat
        5.2 compiles, and really were only there to fix up some lclint
        errors.  --we7u.

2001-04-08 23:56  we7u

        * src/: db.c, main.c, main.h: Fixed Station Chooser dialog (part of
        Station Info heirarchy if there were multiple stations near the
        mouse pointer).  It now closes after choosing the first station,
        and the Station Info dialog then displays.  This fixes the bug
        where a second station could not be chosen in that dialog.  --we7u

2001-04-08 02:51  we7u

        * src/db.c: Fixed the Send Message dialogue so that it only shows
        packets to/from my local station in the window.  If I want to see
        ALL packets to/from my station, I can put in my own call and it'll
        show them to me.  --we7u

2001-04-08 02:00  we7u

        * src/: db.c, db.h, main.c, maps.c, messages_gui.c: Changed back to
        GXor bit-blitting for the weather alert maps (I'll make up my mind
        one of these days).  Fixed the clear-messages button in the send
        messages dialogues.  To do this I added a force parameter to the
        update_messages() function.

2001-04-06 18:18  we7u

        * acinclude.m4, aclocal.m4, configure: Fixed spelling error
        "concert" should have been "convert".  --we7u

2001-04-06 16:55  we7u

        * FAQ: A couple of minor changes to fix things pointed out by Rolf.
         --we7u

2001-04-06 13:42  dk7in

        * src/: db.c, util.c, util.h: 
        Improved AX.25 line separation and better checking of path.

2001-04-06 01:52  we7u

        * src/: db.c, util.c: Fix for latest segfault:  Info field is
        empty.  --we7u

2001-04-05 21:40  dk7in

        * src/: db.c, util.c, util.h: 
        Accepting names of NWS stations for decoding.

2001-04-05 20:25  we7u

        * src/: db.c, interface_gui.c, main.c, wx_gui.c: Yet more lclint
        fixes.  --we7u

2001-04-05 16:41  we7u

        * src/: alert.c, bulletin_gui.c, db.c, interface_gui.c, list_gui.c,
        locate_gui.c, location_gui.c, main.c, maps.c, messages.c,
        messages_gui.c, popup_gui.c, track_gui.c, view_message_gui.c,
        wx_gui.c: More lclint bugfixes.  Getting tired of the same old
        messages day after day? --we7u

2001-04-05 15:13  we7u

        * src/: bulletin_gui.c, db.c, interface_gui.c, location_gui.c,
        main.c, messages_gui.c, view_message_gui.c, wx_gui.c: More lclint
        bugfixes.  Nothing major.  --we7u

2001-04-05 14:12  dk7in

        * src/: db.c, db.h, locate_gui.c, track_gui.c, util.c, util.h: 
        Strict AX.25 call checking, but allow some additional internet
        names now.  Don't change my position if heard via APRS (position
        ambiguity problem).  Start immediate redraw after file loading. 
        Don't reload map at tracking start if not neccessary.

2001-04-05 03:40  we7u

        * src/main.c: Fixing the names of the forms widgets properly now
        for the Configure Station dialogue.  --we7u

2001-04-05 03:14  we7u

        * src/main.c: Changed Configure_station dialogue back for the
        moment 'cuz it was screwed up.  Something wrong with the code for
        it.  I'll fix it later.  --we7u

2001-04-04 20:37  we7u

        * src/lclint.script: Added some more flags to get rid of warnings
        that don't matter.

2001-04-04 20:36  we7u

        * src/alert.c: Added an lclint annotation to get rid of another
        lclint error.

2001-04-04 18:10  we7u

        * FAQ: Additions/corrections by Reuven Gevaryahu, KB3EHW.

2001-04-04 17:15  we7u

        * src/: db.c, gps.c, wx.c: Segfault fix:  We were getting
        concatenated packets, usually onto the end of MIC-E packets.  These
        caused instant segfaults when the decoding routines tried to store
        longer-than-normal data into dynamicaly allocated temp storage
        space on the stack.  I increased the size of the variables in db.c
        and gps.c, and corrected some spelling errors in wx.c.  --we7u

2001-04-04 15:55  we7u

        * acinclude.m4, aclocal.m4, configure: Pretty'ing up some of the
        configure messages so it's clear what's actually going on.

2001-04-04 15:08  we7u

        * acinclude.m4, aclocal.m4, configure: Small change to acinclude.m4
        to make Xastir refuse to link in the any of tiff/geotiff/proj
        libraries unless all three are present.

2001-04-04 14:34  we7u

        * help/help-English.dat: Changed Xastir version in the help file
        from 0.4.5 to 0.9.  Trying to keep up with the incredibly fast
        version changes going on.  ;-)

2001-04-04 13:38  we7u

        * README.1ST: Many updates by Reuven Gevaryahu, KB3EHW.

2001-04-04 10:06  kg4ijb

        * xastir.spec.in: can actually build an RPM now :-(

2001-04-04 10:04  kg4ijb

        * aclocal.m4, configure: rebuild

2001-04-04 10:04  kg4ijb

        * configure.in: tocall version

2001-04-04 10:02  kg4ijb

        * src/main.h: tocall version change

2001-04-04 09:59  kg4ijb

        * src/main.c: help_about - version message change

2001-04-03 20:09  we7u

        * src/: db.c, main.c, messages_gui.c, track_gui.c, util.c,
        view_message_gui.c, wx_gui.c: Fixing more lclint errors.  Most of
        these are name conflicts with global variables.

2001-04-03 04:38  we7u

        * src/: db.c, util.c: Filtering data before it gets to the
        startup-xterm.  Checking callsign length before garbage callsigns
        infect the rest of the data.  --WE7U.

2001-04-03 03:19  we7u

        * src/: db.c, util.c, util.h: Added util.c:makePrintable()
        function, which gets rid of ALL characters below 0x20 (space) and
        above 0x7e (").  This is to be used whereever a printf is used that
        might send unusual characters to the console where Xastir was
        started.  Added this function to a few places in db.c that needed
        it.  Did not go through every printf in all the modules to see
        where else it might be needed.  --we7u.

2001-04-03 00:39  we7u

        * src/db.c: Fix for non-gating of GPRMC and GPGGA packets to the
        internet.  --WE7U

2001-04-02 23:38  we7u

        * src/lclint.script: Changed to fit new location of callpass.c

2001-04-02 12:21  dk7in

        * src/main.c: 
        Corrected problem that screen height getting smaller at every
        launch.

2001-04-02 04:39  dk7in

        * src/db.c: 
        Don't show decode warning for ignored data.

2001-04-02 02:23  we7u

        * src/maps.c: Small change to attempt to recover when datum
        translation fails from some reason or other (during loading of
        geoTIFF maps).  --we7u

2001-04-01 22:32  kg4ijb

        * src/interface.c: more of the ax25 saga :/

2001-04-01 22:32  kg4ijb

        * configure.in: no message

2001-04-01 22:31  kg4ijb

        * aclocal.m4, configure: rebuild

2001-04-01 22:30  kg4ijb

        * acinclude.m4: AX_25 - include directive fixed

2001-04-01 21:43  dk7in

        * src/: db.c, wx.c: 
        Minor enhancements for Wx decoding.

2001-04-01 21:01  we7u

        * help/help-English.dat: More great additions/corrections by Reuven
        Gevaryahu, KB3EHW, and one tiny edit by Curt Mills, WE7U.

2001-04-01 18:49  dk7in

        * src/: db.c, db.h, wx.c, wx.h: 
        Reactivating the missing weather decodes ($ULTW, U-II).
        Housekeeping

2001-04-01 11:13  kg4ijb

        * src/messages_gui.c: added stdio.h include directive

2001-04-01 11:06  kg4ijb

        * config/Makefile.in, help/Makefile.in, m4/Makefile.in,
        symbols/Makefile.in: rebuild

2001-04-01 11:02  kg4ijb

        * src/callpass.c: moved to src/callpass

2001-04-01 00:41  kg4ijb

        * ChangeLog: rebuild

2001-04-01 00:36  kg4ijb

        * src/util.c: removeCtrlCodes added

2001-04-01 00:33  kg4ijb

        * src/util.h: removeCtrlCodes added

2001-04-01 00:32  kg4ijb

        * src/util.c: valid_call - commented out strict checking util we
        can decide how to better implement. -- kg4ijb

2001-04-01 00:30  kg4ijb

        * src/Makefile.in: rebuild

2001-04-01 00:05  kg4ijb

        * aclocal.m4, configure, configure.in, Makefile.in: rebuild

2001-04-01 00:05  kg4ijb

        * acinclude.m4: CHECK_AX25 - removed CFLAG assignment

2001-03-31 23:58  kg4ijb

        * config.h: removed config.h  automagically generated by configure

2001-03-31 23:57  kg4ijb

        * config.h.in, configure: rebuild

2001-03-31 23:56  kg4ijb

        * acconfig.h: Removed redundant defines

2001-03-31 23:55  kg4ijb

        * acinclude.m4: CHECKL_AX25 - Yet another attempt at ax25 support. 
        Acutually, this isn't much different than before, it is much
        cleaner and does a better job at finding the headers.  Please let
        me know if headers are located in places other than /usr/include or
        /usr/local -- kg4ijb
        
        AC_FIND_FILE - attempts to find a file in a specified directory of
        list of directories.  Returns directory or NO if failed. -- kg4ij

2001-03-31 21:45  dk7in

        * src/: db.c, db.h, main.c, main.h, util.c, util.h, xastir.h: 
        Moved some utilities from db.c and main.c to util.c

2001-03-31 20:19  dk7in

        * src/: interface.c, main.c, wx.c: 
        Setting and deleting objects works now. Plus some housekeeping

2001-03-31 05:25  we7u

        * config/language-Spanish.sys, help/help-Spanish.dat:
        Spanish-language file changes submitted by Jose R. Marte A., HI8GN.

2001-03-31 03:32  dk7in

        * src/main.c: 
        Preparing: Placing and deleting of objects.

2001-03-31 03:31  dk7in

        * config/language-English.sys: 
        Placing and deleting objects.

2001-03-30 22:28  kg4ijb

        * ChangeLog: rebuilt

2001-03-30 22:09  dk7in

        * src/: draw_symbols.h, list_gui.c, main.c: 
        Added symbol picture to Configure Station dialog.  Dropped year
        from Station Lists to keep it shorter.

2001-03-30 12:08  kg4ijb

        * src/callpass/: Makefile.in, callpass.c, Makefile.am: more
        appropriate under it's own tree

2001-03-30 10:20  we7u

        * src/lclint.script: Added "-mayaliasunique" flag.

2001-03-30 05:37  we7u

        * src/alert.c: Fixes four more lclint errors and makes the code
        more efficient too.

2001-03-29 09:22  we7u

        * src/lclint.script: Added -exportlocal option.

2001-03-29 08:57  we7u

        * src/db.c: Re-formatted one function to make it correspond to our
        spacing conventions.

2001-03-29 06:36  we7u

        * src/db.c: Casting the line-end characters properly where Rolf
        just fixed my errors.  Three more LCLINT errors gone.

2001-03-29 06:25  we7u

        * src/maps.c: Better yet.  Line 3393 change only.

2001-03-29 05:08  we7u

        * src/maps.c: Not really a bug fix, just looked strange AND'ing
        with a character.

2001-03-28 21:01  dk7in

        * src/db.c: 
        Corrected GPS decoding, file load did not work.

2001-03-28 07:14  we7u

        * src/: lclint.script, main.c: More lclint fixes.

2001-03-28 07:01  we7u

        * src/: db.c, interface.c, lclint.script, main.h, maps.c: More
        lclint fixes.

2001-03-28 03:32  we7u

        * src/: bulletin_gui.c, db.c, draw_symbols.c, festival.c,
        lclint.script, main.c, messages.c, messages_gui.c, rac_data.c,
        track_gui.c, util.c, view_message_gui.c, wx.c, wx_gui.c,
        xa_config.c: Many more lclint fixes.

2001-03-27 09:29  we7u

        * src/main.c: Fixed more lclint errors.

2001-03-27 06:13  dk7in

        * src/db.c: 
        Correcting decoding problem with sometimes missing altitude

2001-03-26 06:50  we7u

        * src/lclint.script: Added festival.c.

2001-03-26 04:30  we7u

        * src/main.c: Beginnings of adding weather alerts to Festival
        speech synthesis as well.  Menu is greyed-out until Ken gets the
        code written to support it.

2001-03-26 04:24  we7u

        * config/language-English.sys: Added weather alerts to Festival
        messages.  Not implemented in the code yet though.

2001-03-25 15:36  we7u

        * src/: list_gui.c, locate_gui.c, location_gui.c: Fixes to satisfy
        lclint errors.

2001-03-25 09:47  we7u

        * configure.in: Added support for Festival.

2001-03-25 09:46  we7u

        * acinclude.m4: Added support for Festival.  Not perfect yet, but
        it's a start.

2001-03-25 09:36  we7u

        * src/Makefile.am: Adding festival.h and festival.c to Makefile.

2001-03-25 09:09  dk7in

        * src/: db.c, db.h, gps.c, list_gui.c, main.c, messages.c, util.c,
        util.h: 
        Replaced some data with flags in station storage.

2001-03-25 08:17  we7u

        * src/main.c: Grey-out speech options when Festival is not
        installed.

2001-03-25 08:09  we7u

        * src/main.c: Adding speech synthesis control buttons to
        Configure->Speech menu.

2001-03-25 08:06  we7u

        * config/language-English.sys: Adding Festival speech synthesis
        menus.

2001-03-25 02:54  dk7in

        * src/: db.c, db.h: 
        Get more decoding working...

2001-03-24 23:23  dk7in

        * src/: db.c, wx.c, wx.h: 
        Dropping more error-packets, corrected U2000 Wx decoding

2001-03-24 22:50  we7u

        * src/: festival.c, festival.h: Mods by Ken Koster, N7IPB, to add
        Festival speech synthesis to Xastir.

2001-03-24 22:41  we7u

        * src/: db.c, main.c, main.h, maps.c, xa_config.c: Adding in the
        code for the festival speech synthesis system.  Changes to
        autoconfig and menus to follow.  Also fixed tabs here and there in
        the code (converted to 4 spaces).

2001-03-24 22:11  we7u

        * src/: alert.c, bulletin_gui.c, draw_symbols.c, fcc_data.c, gps.c,
        hostname.c, igate.c, interface.c, interface_gui.c, lang.c: More
        fixes to satisfy lclint errors.

2001-03-24 11:29  we7u

        * src/db.c: Changes to satisfy lclint.

2001-03-24 09:10  dk7in

        * src/db.c: 
        Name sorting had problem in rare cases

2001-03-24 07:16  we7u

        * src/lclint.script: Yet another tweak.  New command flag.

2001-03-24 07:13  we7u

        * src/maps.c: More changes to satisfy errors in lclint.

2001-03-24 05:22  dk7in

        * src/: db.c, db.h, list_gui.c, main.c: 
        Restructing of decode routines.

2001-03-23 15:19  we7u

        * src/maps.c: Fixing lclint errors.  Also beginnings of supporting
        ImageMagick for reading in images.

2001-03-23 15:13  we7u

        * src/: track_gui.c, util.c, view_message_gui.c, wx.c, wx_gui.c,
        xa_config.c: Fixing lclint errors.

2001-03-23 15:10  we7u

        * src/: main.c, messages.c, messages_gui.c, rac_data.c: Fixing
        lclint errors.

2001-03-23 15:07  we7u

        * src/: interface_gui.c, lang.c, list_gui.c, locate_gui.c,
        location_gui.c: Fixing lclint errors.

2001-03-23 15:03  we7u

        * src/: draw_symbols.c, fcc_data.c, gps.c, hostname.c, igate.c,
        interface.c: Fixing lclint errors.

2001-03-23 14:59  we7u

        * src/: alert.c, bulletin_gui.c, color.c, db.c: Fixing lclint
        errors.

2001-03-23 14:58  we7u

        * src/lclint.script: Simpler script.

2001-03-23 08:04  we7u

        * src/main.c: Added ifdef's around the arrow button stuff, so it
        can be taken out easily for Solaris compiles.

2001-03-23 08:02  we7u

        * src/location.c: Added a comment near a new (void) cast.

2001-03-23 08:02  we7u

        * src/color.c: Fixed more lclint errors.

2001-03-23 07:54  we7u

        * src/lclint.script: Better command-line flags.

2001-03-23 07:35  we7u

        * src/popup_gui.c: Fixed several lclint errors.

2001-03-23 07:24  we7u

        * src/location.c: Fixed lclint errors.

2001-03-23 07:19  we7u

        * src/callpass.c: Fixed last lclint error by declaring doHash as
        static.

2001-03-23 07:16  we7u

        * src/callpass.c: Fixed most of the things lclint found.  Good
        practice for fixing the rest of the code (and much shorter!).

2001-03-23 05:56  we7u

        * src/hostname.c: Added ifdef's around code that is unparseable to
        the lclint program.

2001-03-23 05:44  we7u

        * src/sound.c: Cast to void and comment to make lclint happy.

2001-03-23 05:37  we7u

        * src/lclint.script: Added "+forcehints".

2001-03-23 04:57  we7u

        * src/lclint.script: A script for running lclint against the *.c
        sources.  It appears we have a few errors to fix.

2001-03-23 02:42  we7u

        * help/help-English.dat: Many changes by Reuven Gevaryahu, callsign
        KB3EHW.  A few minor changes by Curt Mills, WE7U.

2001-03-22 00:19  we7u

        * src/main.c: Disabled debug message printing out keysyms.

2001-03-19 05:40  we7u

        * src/maps.c: Initial start at supporting GIF files (with an
        associated .GEO file).  Changes submitted by Jim Chandler, n0vh. 
        Now need to add some more to the configure stuff to support it!

2001-03-18 15:31  we7u

        * src/maps.c: Changed bit-blitting function again for weather alert
        maps, and added more comments in that area.

2001-03-18 12:31  we7u

        * src/main.c: Branching via keysyms now instead of keycodes. 
        Should be more platform independent.

2001-03-18 08:22  we7u

        * src/main.c: Made the Map Chooser buttons language-independent. 
        Moved the buttons around slightly to make it harder to choose the
        "Vector Maps" button by mistake while clicking on map files.

2001-03-18 08:18  we7u

        * help/help-English.dat: Additions/corrections by Reuven Gevaryahu,
        KB3EHW.

2001-03-18 08:17  we7u

        * config/language-English.sys: Added new strings for Map Chooser
        buttons.

2001-03-18 05:59  we7u

        * src/main.c: Got rid of some old comments that have no meaning
        anymore.

2001-03-18 05:19  we7u

        * src/db.c: Grey-out FCC Search button if callsign doesn't start
        with A/K/N/W.

2001-03-18 03:55  we7u

        * src/main.c: With the last version, it still panned with the
        keyboard key zooms.  This version doesn't (much less confusing).

2001-03-18 03:31  we7u

        * src/alert.c: Added some comments.  Lot's of them.

2001-03-18 03:21  we7u

        * src/main.c: Implemented zooming via PageUp/PageDown keys, panning
        via arrow keys.  at the level it is implemented though it appears
        to be responding to keycodes directly, so it's probably going to be
        dependent on IBM keyboards.  Hey, it's a start.

2001-03-17 04:44  dk7in

        * src/: db.c, db.h, draw_symbols.c, main.c: 
        Object deletion now works

2001-03-16 10:04  kg4ijb

        * configure: rebuild

2001-03-16 10:04  kg4ijb

        * acinclude.m4: CHECK_AX25 not looking in /usr/local/include for
        headers.

2001-03-16 04:20  we7u

        * src/: main.c, main.h, maps.c, xa_config.c: Added new menu option
        to enable/disable color fill on vector maps.

2001-03-16 04:19  we7u

        * config/language-English.sys: Added new option for
        enabling/disabling color fill on vector maps.

2001-03-16 03:07  dk7in

        * src/: draw_symbols.c, list_gui.c: 
        Speeding up symbol read from file (not very much...)

2001-03-16 03:06  dk7in

        * symbols/symbols.dat: 
        Corrected wrong characters in symbols

2001-03-16 01:35  we7u

        * src/: maps.c, xa_config.c, main.c, main.h: Added "createfile()"
        routine.  Xastir now recovers gracefully on startup with no
        ~/.xastir directory, creating the directories and files that it
        needs to run initially.

2001-03-16 00:36  dk7in

        * src/list_gui.c: 
        Forgot to exchange some debug messages with the real data...

2001-03-16 00:30  dk7in

        * src/: db.c, list_gui.c: 
        Minor time sorting problem corrected

2001-03-15 09:06  we7u

        * src/xa_config.c: Now saves the state of the Display->Symbol menu
        to the config file.

2001-03-15 08:41  dk7in

        * src/: db.c, db.h, draw_symbols.c, list_gui.c, main.c, main.h,
        xa_config.c: 
        Rework of the station lists

2001-03-15 08:39  dk7in

        * config/language-English.sys: 
        Last Stations List, Housekeeping

2001-03-15 08:23  we7u

        * src/: db.c, main.c, main.h: Added Display->Symbols menu entry and
        the back-end code to support it.

2001-03-15 08:19  we7u

        * config/language-English.sys: Added another msg for
        Display->Symbols menu entry.

2001-03-15 06:22  we7u

        * src/interface_gui.c: Changed Interface Control dialogue to show
        all 10 possible defined interfaces without scrolling.

2001-03-15 03:17  we7u

        * src/maps.c: Changed to AND function instead of OR for weather
        alert map bit-blitting.  Added some comments.

2001-03-15 03:06  we7u

        * src/db.c: Fixed some problems in decode() where after an
        strncpy() call, there is no terminating zero in the string.  That
        should clear up data corruption problems with weather alerts,
        messages, and objects, perhaps others.

2001-03-15 00:15  kg4ijb

        * src/view_message_gui.c: malloc call in all_message().  This
        routine is called on all "messages" regardless of state of message
        window (interesting).

2001-03-14 18:31  we7u

        * src/db.c: First attempt at fixing corrupted messages due to
        buffer overruns.  Added "+22" to some of the strncpy statements
        (easy to grep for), which severely helped.  Current problem left is
        that the "{FARAC" strings at the end of the NWS messages end up in
        the weather alert window as well.  This is a much more minor
        problem that what we had before.

2001-03-14 18:28  we7u

        * src/interface.c: Added some comments.

2001-03-14 15:01  we7u

        * src/xa_config.c: Fixed a problem where the config file couldn't
        be saved if the .bak file couldn't be deleted.  Was definitely a
        problem for first-time users of Xastir to get past this.

2001-03-14 14:44  we7u

        * src/main.c: Fixed problem with not being able to read log files. 
        Changed create_image() to show intermediate updates to screen as
        drawing is happening.

2001-03-13 21:05  dk7in

        * src/: db.c, db.h, interface.c, list_gui.c, main.c, maps.c,
        messages_gui.c, wx.c: 
        Housekeeping...

2001-03-13 18:06  we7u

        * src/: main.c, maps.c: Did some speedups for some of the map menu
        options.  Changed to OR'ing the weather alerts and the map data
        (XOR ended up getting rid of the alert area where two alerts of the
        same color overlapped).  Changed the weather alert entry into an
        ON/OFF toggle so that alerts can be disabled.

2001-03-13 17:10  we7u

        * src/: main.c, main.h, maps.c: Added a new graphics context for
        doing alert map drawing.  Added an XSetFunction logical call in
        order to tint the underlying maps using alert map areas.

2001-03-13 15:30  we7u

        * src/: db.c, interface_gui.c, main.c: Added two buttons to
        "Interface control" dialogue.  Grey-out button for FCC/RAC search
        instead having the button missing from the Station Info dialogue. 
        Grey-out the current selection for Map Intensity.  Added some
        separators to some of the menus.

2001-03-13 15:25  we7u

        * config/: language-Dutch.sys, language-English.sys,
        language-French.sys, language-German.sys, language-Italian.sys,
        language-Spanish.sys: Added two new buttons to Interface control
        dialogue.

2001-03-13 13:59  we7u

        * src/wx_gui.c: Increased width of pop-up slightly so that the last
        line would be readable.

2001-03-13 04:37  we7u

        * src/main.c: Added another status message during loading of
        Weather Alert Maps in create_image().

2001-03-12 21:09  dk7in

        * src/: alert.c, db.c, db.h, list_gui.c, main.c, messages.c,
        util.c, wx.c, wx_gui.c: 
        Deleted old station storage structure

2001-03-12 16:15  we7u

        * src/: alert.c, alert.h, main.c, xastir.h: Fixed the weather alert
        updating.

2001-03-12 14:03  we7u

        * src/db.c: Fixed a couple of calls so that it compiles and links.

2001-03-12 13:06  we7u

        * src/: main.c, maps.c, maps.h, xastir.h: Added pixmap_alerts, in
        preparation for speeding up the weather alert stuff.

2001-03-12 09:08  dk7in

        * src/: db.c, db.h, main.c: 
        Separating station and message deletion from display_file()

2001-03-12 05:17  dk7in

        * src/: db.c, fcc_data.c, gps.c, hostname.c, interface.c, main.c,
        main.h, maps.c, messages_gui.c, rac_data.c, wx.c: 
        Status line with timeout, Station redraw

2001-03-12 01:31  dk7in

        * src/main.c: 
        Housekeeping...

2001-03-11 17:01  we7u

        * src/main.c: Added some more status messages around areas where
        maps are being loaded.  This is so that the operator understands
        why the machine has frozen up for a few seconds.

2001-03-11 16:59  we7u

        * src/fcc_data.c: Now refuses to search the FCC database unless the
        callsign begins with 'A', 'K', 'N', or 'W'.

2001-03-11 16:18  we7u

        * src/main.c: Added zoom-in function to the middle mouse button
        (both buttons simultaneously if you have a two-button mouse), and
        zoom-out function to the right mouse button.  Shortened the left
        mouse-button menu 'cuz the pan buttons are now on the main menu
        bar.

2001-03-11 16:09  we7u

        * src/wx.c: Another small change to make map drawing more
        efficient.

2001-03-11 16:08  we7u

        * src/db.c: Small changes to make map drawing more efficient.

2001-03-11 12:37  dk7in

        * config/: language-English.sys, language-German.sys: 
        Added Echo from my station

2001-03-11 12:35  dk7in

        * src/: db.c, db.h, draw_symbols.c, location.c, main.c, xastir.h: 
        Flag for stations in screen view (and nearby)

2001-03-11 09:52  we7u

        * src/main.c: Moved the pan functions from the mouse pop-up menu to
        the main menu bar in the form of arrow icons.

2001-03-11 09:51  we7u

        * src/wx_gui.c: Changed a comment.

2001-03-10 23:45  we7u

        * help/help-English.dat: Changed "watts" to "feet" in the PHG
        stuff.  Thanks Rolf!

2001-03-10 18:04  we7u

        * src/db.c: Buffer length fix by PE1DNN.

2001-03-10 17:18  we7u

        * src/: color.c, fcc_data.c, igate.c, interface.c, lang.c,
        location_gui.c, main.c, maps.c, messages.c, rac_data.c,
        xa_config.c: Attempt to make file opens more bulleproof and provide
        better diagnostic messages when they do fail.  Attempt to make
        config file operations more bulletproof in order to avoid losing or
        corrupting the configuration info.

2001-03-10 17:03  we7u

        * help/help-English.dat: Updated the help file.  Added topo map
        info and details on other pieces, corrected spelling and grammar.

2001-03-10 09:41  we7u

        * placeholder: Used by "make install" to help create directories.

2001-03-10 09:40  we7u

        * Makefile.am: Modified to create empty directories in
        /usr/local/xastir that might be needed later (like maps, Counties,
        fcc, and sounds).  In order to get "make install" to create these
        directories I also made a "placeholder" file that gets copied into
        each of those directories.

2001-03-10 05:23  dk7in

        * src/db.c: 
                db.c
                small correction to station display sequence

2001-03-10 00:27  kg4ijb

        * ChangeLog: [no log message]

2001-03-10 00:23  kg4ijb

        * configure.in: Modified ax25 calls

2001-03-10 00:22  kg4ijb

        * configure: rebuild

2001-03-10 00:22  kg4ijb

        * acinclude.m4: Rewrote ax.25 routine to install ax.25 lib, if
        found, by default and check for "new" "old" headers.  To prevent
        ax25 from being compiled in, use --without-ax25

2001-03-10 00:18  kg4ijb

        * acconfig.h: added WITH_AX25

2001-03-09 16:14  we7u

        * src/: main.c, maps.c, maps.h: Added parameter to map draw
        functions to specify which pixmap to draw into (pixmap or
        pixmap_final).  pixmap is now reserved for drawing map data into. 
        Weather alerts, symbols and tracks are drawn into pixmap_final. 
        This speeds up display updating tremendously.  If no zooms or pans
        have occurred, normal operation is to leave pixmap alone, so the
        program doesn't have to go back and read the map files at that
        point.  It merely copies the map data already in pixmap to
        pixmap_final, draws weather alerts, symbols, and tracks into it,
        then copies that to the display.

2001-03-09 14:51  dk7in

        * src/: db.c, list_gui.c, main.c: 
                db.c list_gui.c main.c
                - dynamic station storage (uncomment #define DYN_STORAGE in
        db.h)

2001-03-09 14:07  we7u

        * src/main.c: Speeding up weather alert maps.  More to come (mostly
        in db.c).

2001-03-09 13:58  we7u

        * src/wx_gui.c: Added some comments.

2001-03-09 09:14  dk7in

        * src/: alert.c, db.c, db.h, list_gui.c, main.c, messages.c,
        util.c, wx.c, wx_gui.c: 
                alert.c db.c db.h list_gui.c main.c messages.c util.c wx.c
                wx_gui.c
                even more preparartions for dynamic station storage

2001-03-09 06:46  we7u

        * src/: db.c, main.c: Added a few comments.

2001-03-09 06:10  we7u

        * src/: db.c, db.h, main.c: Fixed the message window updating the
        right way, but creating a new routine which checks whether it is
        time to update, and then calling that routine at the beginning up
        update_messages().

2001-03-09 01:02  dk7in

        * src/: db.c, main.c: 
                /src: db.c main.c
                - more preparations for dynamic station storage
                - fix with Wx alert sounds

2001-03-08 08:16  we7u

        * src/db.c: Added "return" in two places in decode().  Exits
        routine if things aren't looking good for the packet.

2001-03-08 03:23  we7u

        * src/main.c: Changing delay in update_messages from 5 secs to 2
        secs.

2001-03-08 02:48  we7u

        * src/: db.c, main.c: Added comments to db.c:update_messages(). 
        Fixed main.c:UpdateTime() to only call update_messages() each five
        seconds.  This should fix the msg window updating problem.

2001-03-08 02:38  dk7in

        * src/: db.c, db.h, main.c: 
                /src: db.c db.h main.c
                preparations for dynamic station storage

2001-03-07 04:26  dk7in

        * config/: language-Dutch.sys, language-English.sys,
        language-French.sys, language-German.sys, language-Italian.sys,
        language-Spanish.sys: 
        /config: language-Dutch.sys language-English.sys
        language-French.sys    language-German.sys language-Italian.sys
        language-Spanish.sys   - Zoom status now shows "k" for larger
        numbers, needs a string now      - Added a lot of missing entries
        to the German language file

2001-03-07 04:23  dk7in

        * src/: db.c, db.h, list_gui.c, main.c, track_gui.c, wx.c,
        wx_gui.c: 
        /src: db.c db.h list_gui.c main.c track_gui.c wx.c wx_gui.c - Long
        trail segment supression has not worked as advertised...  - Zoom
        status now shows "k" for larger numbers - Housekeeping in weather
        routines

2001-03-07 02:27  we7u

        * src/: db.c, main.c: Added a new "Entire World" zoom level,
        changed the reserved color for the owners tracks from black to
        yellow (shows up better on maps).

2001-03-07 02:25  we7u

        * config/: language-Dutch.sys, language-English.sys,
        language-French.sys, language-Italian.sys, language-Spanish.sys:
        Added a "Entire World" zoom level.

2001-03-06 21:36  kg4ijb

        * src/main.h: TOCALL changed to APX<version> APZ is experimental...
        I suppose we may run into problems with "The Brothers" (eg., XAPRS)
        but we'll deal with that later.

2001-03-06 08:14  dk7in

        * src/: db.c, db.h, list_gui.c, main.c, wx.c: 
        - Speed plus a defined position now is also good for "moving" -
        Trail segments are not shown if more than 1 degree apart -
        Housekeeping in weather routines - Long trails had not been shown
        correctly in station info list

2001-03-06 02:50  we7u

        * FAQ, README.1ST, config/language-English.sys,
        config/language-German.sys, src/alert.c, src/bulletin_gui.c,
        src/db.c, src/db.h, src/draw_symbols.c, src/fcc_data.c,
        src/interface.c, src/interface_gui.c, src/list_gui.c,
        src/locate_gui.c, src/location.c, src/main.c, src/main.h,
        src/maps.c, src/messages.c, src/messages_gui.c, src/rac_data.c,
        src/track_gui.c, src/util.c, src/util.h, src/view_message_gui.c,
        src/wx.c, src/wx_gui.c, src/xa_config.c: - Separated weather data
        from station structure, it now has its own memory - Separated a lot
        of the APRS data decoding into smaller subroutines   Now all found
        data is extracted from the information string, it's a   lot easier
        to understand (and debug) the routines now.  - Simplified Zoom/Pan
        routines that now respect screen size - View Mobile Stations now
        only shows these - Found the problem with wrong symbol orientation
        with overlays - Updated English and German language files - I
        started to put something into the FAQ - Angle for symbol rotation
        is now +/- 30 degrees instead   of +/- 45 degrees from North or
        South.  It's a #define now.  - Trail drawing routine does not show
        trail lines between points   more than one degree apart.  Trail
        also will not cross the   180W/180E boundary (the world grid
        doesn't wrap anyway).  - A station is declared to be "moving" after
        two valid positions   are seen.  - No longer reloads from map files
        if not changes are necessary   during zoom/pan.  - Maximum zoom
        centers the world grid and no further zoom-out   is possible.  -
        Zoom factor on status line is updated AFTER the map reload  
        instead of before.  -- Rolf Bleher, DK7IN

2001-03-03 23:29  kg4ijb

        * config.sub, config.guess: new addition

2001-03-03 23:25  kg4ijb

        * Makefile.in, config.h.in, config/Makefile.in, help/Makefile.in,
        m4/Makefile.in, src/Makefile.in, symbols/Makefile.in: rebuild

2001-03-03 23:24  kg4ijb

        * src/Makefile.am: added pthread and removed intl

2001-03-03 23:23  kg4ijb

        * src/: db.c, draw_symbols.c, interface.c: removed conditional
        include for math and redundant includes

2001-03-03 23:22  kg4ijb

        * configure, configure.in: rebuild added better test for pthread
        and math

2001-03-03 23:21  kg4ijb

        * aclocal.m4, config.h: rebuild

2001-03-03 23:20  kg4ijb

        * acinclude.m4: forgot pthread

2001-03-03 21:57  kg4ijb

        * ChangeLog: regenerated

2001-03-03 21:52  kg4ijb

        * aclocal.m4, config.h.in: Rebuild

2001-03-03 21:52  kg4ijb

        * config.h: rebuild

2001-03-03 21:51  kg4ijb

        * acconfig.h: Cleaned up unused defines

2001-03-03 21:49  kg4ijb

        * Makefile.am: Removed localization unitl fully implemented

2001-03-03 21:43  kg4ijb

        * src/util.c: Removed conditional math.h include

2001-03-03 21:42  kg4ijb

        * src/main.c: removed conditional math.h define

2001-03-03 21:40  kg4ijb

        * configure: Rebuild

2001-03-03 21:40  kg4ijb

        * configure.in: Cleaned up and streamlined tests.  Removed
        localization until fully implemented.

2001-03-03 21:39  kg4ijb

        * acinclude.m4: cleaned up and removed extraneous tests.  Removed
        locaization until fully implemented.

2001-03-03 09:32  kg4ijb

        * ChangeLog: [no log message]

2001-03-03 09:16  kg4ijb

        * src/xa_config.c: USE_GEOTIFF conditional not defined

2001-03-03 09:03  kg4ijb

        * src/interface_gui.c: changed default aprs server sierra->first

2001-03-02 16:03  we7u

        * src/: main.c, maps.c, maps.h, xa_config.c: - Made
        geotiff_map_intensity persistent (stored in config file).  -- WE7U.

2001-02-28 20:05  we7u

        * src/: db.c, db.h, main.c: - Changed all trail routines. I now use
        a ring buffer for storage and   have broken the code in smaller
        pieces.  - View Mobile Stations should work now, I have not tested
        it very much.    The wrong two stations seen got an additional
        90N/180W point, and so    were declared moving. I have to see where
        this comes from. Some guys    are sending wrong data sometimes... 
        Or stations with missing    position are not blocked anymore, I
        have to investigate.  - No tracking for 0N/0E points -- Rolf
        Bleher, DK7IN

2001-02-27 18:56  we7u

        * src/: db.c, db.h, draw_symbols.c, main.c, maps.c, maps.h: Changes
        by DK7IN: ----------------- - Changed tracking of stations. Until
        now the map was updated at every   beacon received from the tracked
        station. I had serious problems   getting any access to the system,
        because it was busy with the map   updating process, and that could
        need more time as between received   12sec intervall beacons. Map
        drawing should be a separate thread...
        
          Now the map is updated only if the car leaves the inner area of
          the map, the margin is set to 1/6 screen on each side.
        
        - The first trail point was always missing, it was not stored.   
        Works now.
        
        - Selecting a new trail color only for moving stations. And fixed a
          problem with reinit of the current trail color at the wrong
        place.    Now the trail colors come in sequence.
        
        - Until now EVERY new station got a color, now only mobile stations
          get their colors (at a different place).
        
        Changes by WE7U: ---------------- - Modified map grid routines to
        write to pixmap_final instead of pixmap.    This is to keep the raw
        map image pristine so that we can use it from    then on for quick
        screen updates (as long as no zooming or panning    is occurring). 
        Removed draw_grid() calls from load_auto_maps() and    load_maps()
        functions, added it to create_image(), redraw_symbols(),    and new
        refresh_image() functions.
        
        - Added refresh_image() function, which starts from "pixmap" map
        data   and refreshes symbols, tracks, etc to the screen.  Does NOT
        go back   to the maps on disk to do so.  Called from Grid_on() and
        Grid_off()   routines currently.  I hope to replace create_image()
        with it in   the UpdateTime() function at some point.  If the
        Zoom_level() function   is eventually made to ignore panning, I'll
        add it where we are selecting   the same zoom level as we're
        currently at.

2001-02-26 18:15  we7u

        * src/: db.c, draw_symbols.c, draw_symbols.h, main.c, main.h,
        xa_config.c: - Symbols now change their orientation depending on
        the course of   mobile stations.  - New "Rotate Symbols" option in
        "Display" menu.  - Updated some symbols -- DK7IN

2001-02-26 18:13  we7u

        * symbols/symbols.dat: - Symbols now change their orientation
        depending on the course of   mobile stations.  - Updated some
        symbols --DK7IN

2001-02-26 18:13  we7u

        * config/: language-English.sys, language-German.sys: Added icon
        rotation message. --DK7IN

2001-02-26 18:12  we7u

        * AUTHORS: Added DK7IN.

2001-02-24 00:07  we7u

        * symbols/symbols.dat: Changes to symbols for consistency (all
        pointing to left), and to prepare for rotation of symbols toward
        direction of travel by Rolf Bleher, DK7IN.

2001-02-24 00:04  we7u

        * src/: db.c, db.h, draw_symbols.c, list_gui.c, location_gui.c,
        main.c, maps.c, xa_config.c, xastir.h: - Solved problem with
        disappearing stations and corrected some more   inconsistent
        pointers.  - Solved problem with the missing fractional minutes of
        station   coordinates after initialisation. The problem had to do
        with using   of '.' as a separator in the first call and ',' in the
        second call   of the same routine. Later it seems to be '.' again.
        Some sort of   internationalisation problem, but with changing
        values during program   execution. I have not found the reason for
        this behaviour but did a   workaround without using atof(). I hope
        there are not more such   problems at other places.  --Rolf Bleher,
        DK7IN

2001-02-23 10:49  ke4nfj

        * src/main.c: Make sure when you add data to a string that you also
        add space for the string to store that data.

2001-02-22 15:59  kg4ijb

        * ChangeLog: [no log message]

2001-02-22 15:31  kg4ijb

        * src/db.c: Housekeeping

2001-02-22 11:37  kg4ijb

        * src/view_message_gui.c: Changed line length and display for
        viewed messages

2001-02-20 17:54  we7u

        * config/language-English.sys, src/db.c, src/db.h,
        src/draw_symbols.c, src/draw_symbols.h, src/interface_gui.c,
        src/list_gui.c, src/main.c, src/maps.c, src/messages.c, src/util.c,
        src/wx.c, src/wx_gui.c: Changes by Rolf Bleher, DK7IN.

2001-02-13 00:26  ke4nfj

        * src/interface.c: Adjust time-out to allow full buffer to process.

2001-02-09 23:17  kg4ijb

        * src/main.c: Curt this is for you ;)

2001-02-09 22:58  kg4ijb

        * Makefile.in, aclocal.m4, config.h, configure, configure.in,
        config/Makefile.in, help/Makefile.in, m4/Makefile.in,
        po/Makefile.in, symbols/Makefile.in: [no log message]

2001-02-09 22:53  kg4ijb

        * src/xa_config.h: time_t next_time (really should be here)

2001-02-09 22:52  kg4ijb

        * src/main.h: time_t max_transmit_time (does this belong here?)

2001-02-09 22:49  kg4ijb

        * src/xa_config.c: Variable beacon rate: mobile 2min max; fixed
        15min max

2001-02-09 22:45  kg4ijb

        * src/util.c: PHG cleaned up

2001-02-09 22:43  kg4ijb

        * src/main.c: Added map centering with popup menu.  Map zooms will
        now also center. (This is kinda cool).  Zoom levels modified to
        allow for smoother zooms.

2001-02-09 22:41  kg4ijb

        * src/db.c: Not decoding latitude correctly with MIC-E custom
        messages.

2001-02-09 22:37  kg4ijb

        * config/: language-English.sys, language-French.sys,
        language-German.sys, language-Italian.sys, language-Spanish.sys:
        Popup menu modified

2001-02-09 22:36  kg4ijb

        * config/language-Dutch.sys: Popup Menu modified

2001-02-07 15:07  we7u

        * README.1ST: Added invocation of /sbin/ldconfig.

2001-02-07 02:09  we7u

        * src/db.c: Added a few more comments w.r.t. callsign checking.

2001-02-06 18:49  we7u

        * src/: db.c, db.h: Separated track_data out from rest of station
        structure, intent: memory savings.  Also added more filtering for
        callsigns but there is more yet to be done (attempting to get rid
        of both bogus calls and segfaults).

2001-02-06 18:42  we7u

        * src/interface.c: Tweaked port_read() to fix some possible
        SEGFAULT problems (buffer overruns).

2001-02-03 15:05  we7u

        * README.1ST: Updated SuSE instructions and added info about
        setting up AX.25 interfaces.

2001-01-31 17:41  we7u

        * src/db.h: Starting to separate DataRow struct into DataRow,
        WeatherRow, and TrackRow structs.  New structs are not integrated
        into the rest of the code yet.

2001-01-30 19:07  we7u

        * README.1ST: Added a note regarding "libtiff.a".  Can leave it in
        place or delete for space savings.

2001-01-27 10:45  ke4nfj

        * src/main.c: Add hostname back to identify machine and leave
        trailing null.

2001-01-26 16:48  kg4ijb

        * src/db.c: Under some circumstances, failed to recognize ACKS in
        response to messages

2001-01-26 16:28  kg4ijb

        * src/db.c: Under some circumstances, failed to recognize ACKS
        being returned in response to messages.

2001-01-26 16:18  kg4ijb

        * src/db.c: Under some circumstances, failed to recognize ACKS
        being sent back in response to messages.

2001-01-26 16:18  kg4ijb

        * acinclude.m4: Minor mod

2001-01-26 16:16  kg4ijb

        * configure.in: Version bump.

2001-01-26 16:11  kg4ijb

        * aclocal.m4: [no log message]

2001-01-26 16:05  kg4ijb

        * configure: added acinclude.m4 as dependancy

2001-01-26 16:04  kg4ijb

        * configure.in: Include acinclude.m4 as dependancy

2001-01-26 16:03  kg4ijb

        * acinclude.m4: Moved alocal.m4 -> ainclude.m4 so alocal won't step
        on changes

2001-01-26 15:57  kg4ijb

        * configure: version bump

2001-01-25 15:38  we7u

        * README.1ST: Updated to show libtiff-v3.5.6-beta for Slackware and
        a simplified install.

2001-01-24 20:15  we7u

        * README.1ST: Tweaked the Slackware manual install for
        libtiff-v3.5.5.  This gets around some bugs that exist in the
        configure and make-install portions of libtiff and gets updated
        libtiff shared libs installed correctly.

2001-01-24 16:43  ke4nfj

        * src/igate.c: Remove extra dependencies from include file list.

2001-01-24 14:05  ke4nfj

        * src/alert.h: Add alert_print_list declaration to keep usage
        compliant.

2001-01-24 14:03  ke4nfj

        * src/interface.c: Remove useless reference to alert.h. Reduce
        dependancies.

2001-01-22 22:49  kg4ijb

        * src/: alert.h, interface.h, main.c, xa_config.c: [no log message]

2001-01-22 22:07  kg4ijb

        * src/: Makefile.am, Makefile.in, alert.c, alert.h, bulletin_gui.c,
        bulletin_gui.h, color.c, color.h, db.c, db.h, draw_symbols.c,
        draw_symbols.h, fcc_data.c, fcc_data.h, gps.c, gps.h, hostname.c,
        hostname.h, igate.c, igate.h, interface.c, interface.h,
        interface_gui.c, lang.h, list_gui.c, list_gui.h, locate_gui.c,
        location.c, location_gui.c, main.c, main.h, maps.c, maps.h,
        messages.c, messages.h, messages_gui.c, popup.h, popup_gui.c,
        rac_data.c, rac_data.h, sound.c, symbols.h, track_gui.c,
        track_gui.h, util.c, util.h, view_message_gui.c, wx.c, wx.h,
        wx_gui.c, xa_config.c, xastir.h: Realign headers, prototypes and
        declarations

2001-01-22 21:19  we7u

        * src/maps.c: Fix for maps segfault submitted by Lloyd Miller. 
        This prevents segfaulting when a file with no extension is put into
        the maps directory.

2001-01-19 20:04  ke4nfj

        * src/db.c: Make sure our reach doesn't exceed our grasp.

2001-01-19 19:56  ke4nfj

        * src/main.c: Add flag to allow core file creation for debugging.

2001-01-19 17:03  we7u

        * src/xa_config.c: Tweak to save_data().  Attempting to eliminate
        the bug where xastir.cnf is deleted if filespace gets too low.

2001-01-19 16:24  we7u

        * README.1ST: Simplified the install of libproj/libtiff/libgeotiff
        somewhat and documented more details of a more manual method for
        Slackware.

2001-01-15 16:52  we7u

        * src/db.h: Changed max track positions from 100 down to 50 to save
        memory.  Changed structure which holds them from size MAX_TRACKS+2
        to size MAX_TRACKS+1.

2001-01-15 16:50  we7u

        * README.1ST: Added additional instructions for optional geoTIFF
        support (hopefully to make it easier to install).  Put comments
        around "USE_AX25" stuff about that being the old method.

2001-01-15 16:48  we7u

        * src/maps.c: Got rid of printf when trying to open winmaps.sys if
        it hasn't been created yet.  It's not needed.

2001-01-15 16:47  we7u

        * src/main.c: Fixed the "winmaps.c" segfault problem.

2001-01-12 12:44  ke4nfj

        * src/: db.c, messages.c: Add more support for group messages and
        multi-party communications.

2001-01-12 00:31  ke4nfj

        * src/main.c: Send Segfault error message to stderr.

2001-01-11 16:47  we7u

        * README.1ST: Added a couple of notes about compiling with AX.25
        support.

2001-01-11 15:07  ke4nfj

        * src/list_gui.c: Simplify the Station_List function. Remove
        redundant calls.

2001-01-11 14:41  ke4nfj

        * src/: messages.c, messages_gui.c: Keep cleaning up group messages
        to allow subscription and cancellation.

2001-01-11 13:49  ke4nfj

        * src/db.c: Adjust tail-end reduction of messages to be complete.

2001-01-11 13:23  ke4nfj

        * config/tnc-startup.kam: Add KAM Plus startup file for example and
        usage.

2001-01-11 13:22  ke4nfj

        * src/db.c: Fix usage of last_heard counter from timestamp.

2001-01-11 13:17  ke4nfj

        * src/messages.c: Move empty strings to end of list.

2001-01-11 12:44  ke4nfj

        * src/db.c: Remove enabled STATION_DEBUG from delivery tree.

2001-01-11 12:41  ke4nfj

        * src/db.c: Additional support for group messages.

2001-01-11 12:10  ke4nfj

        * src/: messages.c, messages_gui.c: Add improved group message
        support.

2001-01-10 15:03  we7u

        * src/main.c: Now gray's out the topo buttons in the map chooser
        instead of deleting them when USE_GEOTIFF is not defined.  Buttons
        will be present but not active.

2001-01-10 13:53  we7u

        * src/main.c: Added a bunch of buttons to the Map Chooser dialogue.
         Choose between vector maps, three scales of topo maps, or None.

2001-01-10 12:04  we7u

        * src/maps.h: Added  get_map_ext() to the exports.  Needed by new
        code in main.c for selecting maps in the map chooser dialogue.

2001-01-09 23:40  ke4nfj

        * src/view_message_gui.c: Remove complete message at beginning of
        queue.

2001-01-09 17:05  ke4nfj

        * configure: Commit after autoconf to match configure.in

2001-01-09 16:55  ke4nfj

        * src/main.c: Remove extraneous warning when GEOTIFF is not active.

2001-01-09 16:45  ke4nfj

        * src/view_message_gui.c: Set new cursor position after all the
        positioning is complete.

2001-01-07 10:43  kg4ijb

        * configure.in: Version bump

2001-01-07 10:42  kg4ijb

        * src/main.h: Cleaned up ident string

2001-01-07 10:42  kg4ijb

        * src/interface.c: Cleaned up ident

2001-01-03 17:13  we7u

        * src/: main.c, maps.c: Added a Map menu entry for changing geotiff
        map intensity.  Removed older geotiff code.

2001-01-03 17:12  we7u

        * config/: language-Dutch.sys, language-English.sys,
        language-French.sys, language-German.sys, language-Italian.sys,
        language-Spanish.sys: Added a new Maps menu entry for changing map
        intensity (geotiff maps only).

2000-12-31 13:06  we7u

        * src/maps.c: Added tweaks to help remove a bit of the black
        border, turn black pixels within a very short distance of the
        border to white (again helps to visually remove the border), and
        added a "brightness" variable that can adjust the brightness of the
        map colors from 0.0 (black) to 1.0 (full normal brightness).  If
        someone wants to add a menu option in for this at some time I'll
        tie the menu option to the variable to give full control of map
        brightness to the operator.

2000-12-29 03:24  we7u

        * src/maps.c: Totally re-written "draw_geotiff_image_map" function.
         Old functions are present and called by default.  New functions
        are called with the -v2 debug flag on the command line.  Re-write
        is fast, requires very little memory, merges USGS topo maps
        together nicely.

2000-12-26 17:06  ke4nfj

        * src/db.c: Smooth out display activity in update_messages.

2000-12-26 15:35  ke4nfj

        * src/db.c: Add Group announcements!

2000-12-26 14:53  ke4nfj

        * src/: messages.c, xa_config.c: Add group messaging to system. One
        entry per line in group_data_file.

2000-12-25 01:33  kg4ijb

        * src/db.c: Minor mods

2000-12-25 01:33  kg4ijb

        * configure: Added spec file

2000-12-25 01:32  kg4ijb

        * configure.in: Add spec file

2000-12-25 01:31  kg4ijb

        * xastir.spec.in: Inital import of spec file

2000-12-25 01:30  kg4ijb

        * Makefile.in: Added initial spec file

2000-12-25 01:29  kg4ijb

        * Makefile.am: Added inital spec file

2000-12-21 11:04  ke4nfj

        * configure.in, src/db.c, src/messages.c, src/messages_gui.c,
        src/view_message_gui.c, src/xa_config.c: Add support for Group
        messages. The next step is to add GroupList.

2000-12-21 11:02  ke4nfj

        * src/: alert.c, alert.h, maps.c: Improve Wx Alert processing to
        allow Cancellation message processing.

2000-12-21 10:59  ke4nfj

        * src/main.c: Add Test routine back but make it conditionally
        compiled.

2000-12-21 00:45  we7u

        * aclocal.m4: Small tweak to insure geotiff code links, whether the
        tiff library is a static library or a shared library (works with
        either now).

2000-12-20 17:37  ke4nfj

        * src/bulletin_gui.c: Smooth the display to make bulletins easier
        to read.

2000-12-20 12:06  kg4ijb

        * README.1ST, acconfig.h, aclocal.m4, config.h, configure,
        configure.in, mkinstalldirs, stamp-h.in, src/Makefile.in,
        src/alert.c, src/alert.h, src/bulletin_gui.c, src/callpass.c,
        src/color.c, src/color.h, src/db.c, src/db.h, src/draw_symbols.c,
        src/fcc_data.c, src/fcc_data.h, src/gps.c, src/hostname.c,
        src/igate.c, src/interface.c, src/interface.h, src/interface_gui.c,
        src/lang.c, src/lang.h, src/list_gui.c, src/locate_gui.c,
        src/location.c, src/location_gui.c, src/main.c, src/main.h,
        src/maps.c, src/maps.h, src/messages.c, src/messages.h,
        src/messages_gui.c, src/popup.h, src/popup_gui.c, src/rac_data.c,
        src/rac_data.h, src/sound.c, src/symbols.h, src/track_gui.c,
        src/util.c, src/view_message_gui.c, src/wx.c, src/wx_gui.c,
        src/xa_config.c, src/xa_config.h, src/xastir.h: .CVS Restore
        2000/12/18

2000-12-19 17:43  kg4ijb

        * src/main.c: Yikes! Damned test routines...

2000-12-19 17:36  kg4ijb

        * src/main.c: Undeclared scruff has crepted in...

2000-12-19 17:07  ke4nfj

        * src/: alert.c, alert.h, maps.c: Recommit for Wx Alerts involving
        cancellations.

2000-12-19 16:23  ke4nfj

        * src/xa_config.c: Match up with view_messages_gui.c to set default
        value for VIEW_MESSAGE_LIMIT.

2000-12-19 16:22  ke4nfj

        * src/view_message_gui.c: Commit 2nd time to keep X server from
        overflowing.

2000-12-19 16:21  ke4nfj

        * src/interface.c: Remove extraneous dependancies.

2000-12-19 13:41  crb6x

        * ABOUT-NLS, AUTHORS, COPYING, ChangeLog, FAQ, INSTALL,
        Makefile.am, Makefile.in, NEWS, README, README.1ST, UPDATES,
        acconfig.h, aclocal.m4, changes.txt, config.h, config.h.in,
        configure, configure.in, install-sh, missing, mkinstalldirs,
        stamp-h.in, config/Makefile.am, config/Makefile.in,
        config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        config/tnc-startup.sys, config/tnc-stop.sys, config/xastir.rgb,
        help/Makefile.am, help/Makefile.in, help/help-Dutch.dat,
        help/help-English.dat, help/help-French.dat, help/help-German.dat,
        help/help-Italian.dat, help/help-Spanish.dat, src/Makefile.am,
        src/Makefile.in, src/alert.c, src/alert.h, src/bulletin_gui.c,
        src/callpass.c, src/color.c, src/color.h, src/db.c, src/db.h,
        src/draw_symbols.c, src/fcc_data.c, src/fcc_data.h, src/gps.c,
        src/hostname.c, src/igate.c, src/interface.c, src/interface.h,
        src/interface_gui.c, src/lang.c, src/lang.h, src/list_gui.c,
        src/locate_gui.c, src/location.c, src/location_gui.c, src/main.c,
        src/main.h, src/maps.c, src/maps.h, src/messages.c, src/messages.h,
        src/messages_gui.c, src/popup.h, src/popup_gui.c, src/rac_data.c,
        src/rac_data.h, src/sound.c, src/symbols.h, src/track_gui.c,
        src/util.c, src/view_message_gui.c, src/wx.c, src/wx_gui.c,
        src/xa_config.c, src/xa_config.h, src/xastir.h, intl/Makefile.in,
        intl/VERSION, intl/bindtextdom.c, intl/cat-compat.c,
        intl/dcgettext.c, intl/dgettext.c, intl/explodename.c,
        intl/finddomain.c, intl/gettext.c, intl/gettext.h, intl/gettextP.h,
        intl/hash-string.h, intl/intl-compat.c, intl/l10nflist.c,
        intl/libgettext.h, intl/libintl.h, intl/linux-msg.sed,
        intl/loadinfo.h, intl/loadmsgcat.c, intl/localealias.c,
        intl/po2tbl.sed, intl/po2tbl.sed.in, intl/textdomain.c,
        intl/xopen-msg.sed, m4/Makefile.am, m4/Makefile.in, m4/xmhtml.m4,
        po/Makefile.in, po/Makefile.in.in, po/POTFILES, po/POTFILES.in,
        po/cat-id-tbl.c, po/en.po, po/fr.po, po/nl.po, po/stamp-cat-id,
        po/xastir.pot, symbols/Makefile.am, symbols/Makefile.in,
        symbols/symbols.dat: Initial revision

2000-12-19 13:41  crb6x

        * ABOUT-NLS, AUTHORS, COPYING, ChangeLog, FAQ, INSTALL,
        Makefile.am, Makefile.in, NEWS, README, README.1ST, UPDATES,
        acconfig.h, aclocal.m4, changes.txt, config.h, config.h.in,
        configure, configure.in, install-sh, missing, mkinstalldirs,
        stamp-h.in, config/Makefile.am, config/Makefile.in,
        config/language-Dutch.sys, config/language-English.sys,
        config/language-French.sys, config/language-German.sys,
        config/language-Italian.sys, config/language-Spanish.sys,
        config/tnc-startup.sys, config/tnc-stop.sys, config/xastir.rgb,
        help/Makefile.am, help/Makefile.in, help/help-Dutch.dat,
        help/help-English.dat, help/help-French.dat, help/help-German.dat,
        help/help-Italian.dat, help/help-Spanish.dat, src/Makefile.am,
        src/Makefile.in, src/alert.c, src/alert.h, src/bulletin_gui.c,
        src/callpass.c, src/color.c, src/color.h, src/db.c, src/db.h,
        src/draw_symbols.c, src/fcc_data.c, src/fcc_data.h, src/gps.c,
        src/hostname.c, src/igate.c, src/interface.c, src/interface.h,
        src/interface_gui.c, src/lang.c, src/lang.h, src/list_gui.c,
        src/locate_gui.c, src/location.c, src/location_gui.c, src/main.c,
        src/main.h, src/maps.c, src/maps.h, src/messages.c, src/messages.h,
        src/messages_gui.c, src/popup.h, src/popup_gui.c, src/rac_data.c,
        src/rac_data.h, src/sound.c, src/symbols.h, src/track_gui.c,
        src/util.c, src/view_message_gui.c, src/wx.c, src/wx_gui.c,
        src/xa_config.c, src/xa_config.h, src/xastir.h, intl/Makefile.in,
        intl/VERSION, intl/bindtextdom.c, intl/cat-compat.c,
        intl/dcgettext.c, intl/dgettext.c, intl/explodename.c,
        intl/finddomain.c, intl/gettext.c, intl/gettext.h, intl/gettextP.h,
        intl/hash-string.h, intl/intl-compat.c, intl/l10nflist.c,
        intl/libgettext.h, intl/libintl.h, intl/linux-msg.sed,
        intl/loadinfo.h, intl/loadmsgcat.c, intl/localealias.c,
        intl/po2tbl.sed, intl/po2tbl.sed.in, intl/textdomain.c,
        intl/xopen-msg.sed, m4/Makefile.am, m4/Makefile.in, m4/xmhtml.m4,
        po/Makefile.in, po/Makefile.in.in, po/POTFILES, po/POTFILES.in,
        po/cat-id-tbl.c, po/en.po, po/fr.po, po/nl.po, po/stamp-cat-id,
        po/xastir.pot, symbols/Makefile.am, symbols/Makefile.in,
        symbols/symbols.dat: Import into CVS of backup data

